<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @package Medcaline
 */
$image_404 = medcaline_get_opt( 'image_404', array( 'url' => '', 'id' => '' ) );
$image_404_url = $image_404['url'];
$subtitle_404 = medcaline_get_opt( 'subtitle_404' );
$content_404_page = medcaline_get_opt( 'content_404_page' );
$btn_text_404_page = medcaline_get_opt( 'btn_text_404_page' );
if (empty($subtitle_404)){
    $subtitle_404 = esc_html('OOPS! PAGE NOT FOUND!');
}
if (empty($content_404_page)){
    $content_404_page = esc_html('The page you are looking is not available or has been removed. Try going to HomePage by using the button below.');
}
if (empty($btn_text_404_page)){
    $btn_text_404_page = esc_html('Back To HomePage');
}
get_header(); ?>

    <div id="primary" class="content-area">
        <main id="main" class="site-main">
            <section class="error-404">
                <div class="error-404-inner font-smooth">
                    <?php
                    if (!empty($image_404_url)){
                        ?>
                        <div class="image-404">
                            <img src="<?php echo esc_url($image_404_url)?>" alt="<?php echo esc_attr__('404-image', 'medcaline');?>">
                        </div>
                        <?php
                    }else{
                        ?>
                        <div class="number-wrap">
                            <h1>404</h1>
                        </div>
                        <p class="subtitle">
                            <?php if(!empty($subtitle_404)) {
                                echo wp_kses_post($subtitle_404);
                            }?>
                        </p>
                        <?php
                    }
                    ?>
                    <div class="page-content">
                        <?php if(!empty($content_404_page)) {
                            echo wp_kses_post($content_404_page);
                        }?>
                    </div><!-- .page-content -->
                    <a class="btn btn-404" href="<?php echo esc_url(home_url('/')); ?>">
                        <?php if(!empty($btn_text_404_page)) {
                            echo wp_kses_post($btn_text_404_page);
                        }?>
                    </a>
                </div>
            </section><!-- .error-404 -->
        </main><!-- #main -->
    </div><!-- #primary -->

<?php
get_footer();
