<?php
// Register Button Widget
lcb_add_custom_widget(
    array(
        'name' => 'cms_button',
        'title' => esc_html__('Button', 'medcaline' ),
        'icon' => 'eicon-button',
        'categories' => array( Liquid_Custom_Builder::LCB_CATEGORY_NAME ),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'source_section',
                    'label' => esc_html__('Source Settings', 'medcaline' ),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'style',
                            'label' => esc_html__('Style', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'default' => 'btn-default',
                            'options' => [
                                'btn-default' => esc_html__('Default', 'medcaline' ),
                                'btn-secondary' => esc_html__('Secondary', 'medcaline' ),
                                'btn-fullwidth' => esc_html__('Full Width', 'medcaline' ),
                                'btn-dark' => esc_html__('Dark', 'medcaline' ),
                                'btn-white' => esc_html__('White', 'medcaline' ),
                                'btn-outline' => esc_html__('Outline', 'medcaline' ),
                                'btn-outline secondary' => esc_html__('Outline Secondary', 'medcaline' ),
                                'btn-text' => esc_html__('Link Text', 'medcaline' ),

                            ],
                        ),
                        array(
                            'name' => 'text_color',
                            'label' => esc_html__('Color', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'condition' => [
                                'style' => 'btn-text'
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .cms-button .btn-text' => 'color: {{VALUE}};',
                            ],
                        ),
                        array(
                            'name' => 'text',
                            'label' => esc_html__('Text', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'default' => esc_html__('Click here', 'medcaline'),
                            'placeholder' => esc_html__('Click here', 'medcaline'),
                        ),
                        array(
                            'name' => 'link',
                            'label' => esc_html__('Link', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::URL,
                            'placeholder' => esc_html__('https://your-link.com', 'medcaline' ),
                            'default' => [
                                'url' => '#',
                            ],
                        ),
                        array(
                            'name' => 'align',
                            'label' => esc_html__('Alignment', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::CHOOSE,
                            'options' => [
                                'left'    => [
                                    'title' => esc_html__('Left', 'medcaline' ),
                                    'icon' => 'fa fa-align-left',
                                ],
                                'center' => [
                                    'title' => esc_html__('Center', 'medcaline' ),
                                    'icon' => 'fa fa-align-center',
                                ],
                                'right' => [
                                    'title' => esc_html__('Right', 'medcaline' ),
                                    'icon' => 'fa fa-align-right',
                                ],
                                'justify' => [
                                    'title' => esc_html__('Justified', 'medcaline' ),
                                    'icon' => 'fa fa-align-justify',
                                ],
                            ],
                            'prefix_class' => 'elementor-align-',
                            'default' => '',
                        ),
                        array(
                            'name' => 'size_height',
                            'label' => esc_html__('Size', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'default' => 'size-normal',
                            'options' => [
                                'size-normal' => esc_html__('Normal', 'medcaline' ),
                                'size-big' => esc_html__('Big', 'medcaline' ),
                            ],
                        ),
                        array(
                            'name' => 'btn_icon',
                            'label' => esc_html__('Icon', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::ICONS,
                            'label_block' => true,
                            'fa4compatibility' => 'icon',
                        ),
                        array(
                            'name' => 'icon_align',
                            'label' => esc_html__('Icon Position', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'default' => 'left',
                            'options' => [
                                'left' => esc_html__('Before', 'medcaline' ),
                                'right' => esc_html__('After', 'medcaline' ),
                            ],
                            'condition' => [
                                'btn_icon!' => '',
                            ],
                        ),
                        array(
                            'name' => 'icon_indent',
                            'label' => esc_html__('Icon Spacing', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::SLIDER,
                            'range' => [
                                'px' => [
                                    'min' => 5,
                                    'max' => 50,
                                ],
                            ],
                            'condition' => [
                                'btn_icon!' => '',
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .cms-button .cms-align-icon-right' => 'margin-left: {{SIZE}}{{UNIT}};',
                                '{{WRAPPER}} .cms-button .cms-align-icon-left' => 'margin-right: {{SIZE}}{{UNIT}};',
                            ],
                        ),
                    ),
                ),
            ),
        ),
    ),
    get_template_directory() . '/elementor/core/widgets/'
);