<?php
// Register Button Widget
lcb_add_custom_widget(
    array(
        'name' => 'cms_button_more',
        'title' => esc_html__('Button Read More', 'medcaline' ),
        'icon' => 'eicon-button',
        'categories' => array( Liquid_Custom_Builder::LCB_CATEGORY_NAME ),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'content_section',
                    'label' => esc_html__('Content', 'medcaline' ),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'button_style',
                            'label' => esc_html__('Style', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'default' => 'default',
                            'options' => [
                                'default' => esc_html__('Default', 'medcaline' ),
                                'style2' => esc_html__('Long Arrow', 'medcaline' ),
                            ],
                        ),
                        array(
                            'name' => 'button_text',
                            'label' => esc_html__('Text', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'default'       => 'Read More',
                        ),
                        array(
                            'name' => 'button_url_type',
                            'label' => esc_html__('Link Type', 'medcaline'),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'options'       => [
                                'url'   => esc_html__('URL', 'medcaline'),
                                'link'  => esc_html__('Existing Page', 'medcaline'),
                            ],
                            'default'       => 'url',
                            'label_block'   => true,
                        ),
                        array(
                            'name' => 'button_link',
                            'label' => esc_html__('Link', 'medcaline'),
                            'type' => \Elementor\Controls_Manager::URL,
                            'condition'     => [
                                'button_url_type'     => 'url',
                            ],
                            'label_block'   => true,
                        ),
                        array(
                            'name' => 'button_link_existing_content',
                            'label' => esc_html__('Existing Page', 'medcaline'),
                            'type' => \Elementor\Controls_Manager::SELECT2,
                            'options'       => lcb_get_all_page(),
                            'condition'     => [
                                'button_url_type'     => 'link',
                            ],
                            'multiple'      => false,
                            'label_block'   => true,
                        ),
                        array(
                            'name' => 'text_color',
                            'label' => esc_html__('Color', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .cms-button-more .btn-more' => 'color: {{VALUE}};',
                                '{{WRAPPER}} .cms-button-more .btn-more:after' => 'background-color: {{VALUE}};',
                            ],
                        ),
                        array(
                            'name' => 'link_color_hover',
                            'label' => esc_html__('Color Hover', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .cms-button-more .btn-more:hover' => 'color: {{VALUE}};',
                                '{{WRAPPER}} .cms-button-more .btn-more:hover:after' => 'background-color: {{VALUE}};',
                            ],
                        ),
                    ),
                ),
            ),
        ),
    ),
    get_template_directory() . '/elementor/core/widgets/'
);