<?php
// Register Heading Widget
lcb_add_custom_widget(
    array(
        'name' => 'cms_call_to_action',
        'title' => esc_html__('Call To Action', 'medcaline' ),
        'icon' => 'eicon-call-to-action',
        'categories' => array( Liquid_Custom_Builder::LCB_CATEGORY_NAME ),
        'scripts' => array(
        ),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'layout_section',
                    'label' => esc_html__('Layout', 'medcaline' ),
                    'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name' => 'layout',
                            'label' => esc_html__('Templates', 'medcaline' ),
                            'type' => Liquid_Custom_Builder::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__('Layout 1', 'medcaline' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_call_to_action/layout-image/layout1.jpg'
                                ],
                                '2' => [
                                    'label' => esc_html__('Layout 2', 'medcaline' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_call_to_action/layout-image/layout2.jpg'
                                ],
                                '3' => [
                                    'label' => esc_html__('Layout 3', 'medcaline' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_call_to_action/layout-image/layout3.jpg'
                                ],
                            ],
                        ),
                    ),
                ),
                array(
                    'name' => 'title_section',
                    'label' => esc_html__('Content Setting', 'medcaline' ),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'heading_text',
                            'label' => esc_html__('Title', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::TEXTAREA,
                            'default' => esc_html__('Contact Title', 'medcaline' ),
                            'placeholder' => esc_html__('Enter your title', 'medcaline' ),
                            'rows' => 3,
                            'label_block' => true,
                        ),
                        array(
                            'name' => 'description',
                            'label' => esc_html__('Description / Phone', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::TEXTAREA,
                            'default' => esc_html__('Description or phone', 'medcaline' ),
                            'placeholder' => esc_html__('Enter your description or phone', 'medcaline' ),
                            'rows' => 4,
                            'label_block' => true,
                        ),
                        array(
                            'name' => 'button_text',
                            'label' => esc_html__('Button Text', 'medcaline'),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'default'       => esc_html__('Contact Us' , 'medcaline'),
                            'label_block'   => true,
                            'condition' => [
                                'layout!' => '3',
                            ],
                        ),
                        array(
                            'name' => 'button_url_type',
                            'label' => esc_html__('Link Type', 'medcaline'),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'options'       => [
                                'url'   => esc_html__('URL', 'medcaline'),
                                'link'  => esc_html__('Existing Page', 'medcaline'),
                            ],
                            'default'       => 'url',
                            'label_block'   => true,
                            'condition' => [
                                'layout!' => '3',
                            ],
                        ),
                        array(
                            'name' => 'button_link',
                            'label' => esc_html__('Link', 'medcaline'),
                            'type' => \Elementor\Controls_Manager::URL,
                            'condition'     => [
                                'button_url_type'     => 'url',
                                'layout!' => '3',
                            ],
                            'label_block'   => true,
                        ),
                        array(
                            'name' => 'button_link_existing_content',
                            'label' => esc_html__('Existing Page', 'medcaline'),
                            'type' => \Elementor\Controls_Manager::SELECT2,
                            'options'       => lcb_get_all_page(),
                            'condition'     => [
                                'button_url_type'     => 'link',
                                'layout!' => '3',
                            ],
                            'multiple'      => false,
                            'label_block'   => true,
                        ),

                    ),
                ),
                array(
                    'name' => 'section_style_heading',
                    'label' => esc_html__('Title Style', 'medcaline' ),
                    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name' => 'heading_color',
                            'label' => esc_html__('Color', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .custom-heading' => 'color: {{VALUE}};',
                            ],
                        ),
                        array(
                            'name' => 'heading_typography',
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .custom-heading',
                        ),
                    ),
                ),
                array(
                    'name' => 'section_style_description',
                    'label' => esc_html__('Description / Phone Style', 'medcaline' ),
                    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name' => 'description_color',
                            'label' => esc_html__('Color', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .cta-description' => 'color: {{VALUE}};',
                            ],
                            'default' => '',
                        ),
                        array(
                            'name' => 'description_typography',
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .cta-description',
                        ),
                    ),
                ),
                array(
                    'name' => 'section_style_button',
                    'label' => esc_html__('Button Style', 'medcaline' ),
                    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name' => 'button_style_tabs',
                            'control_type' => 'tab',
                            'tabs' => array(
                                array(
                                    'name' => 'button_style_normal',
                                    'label' => esc_html__('Normal', 'medcaline'),
                                    'controls' => array(
                                        array(
                                            'name' => 'button_color',
                                            'label' => esc_html__('Text Color', 'medcaline'),
                                            'type' => \Elementor\Controls_Manager::COLOR,
                                            'selectors' => [
                                                '{{WRAPPER}} .cta-button' => 'color: {{VALUE}};'
                                            ]
                                        ),
                                        array(
                                            'name' => 'button_background',
                                            'type' => \Elementor\Group_Control_Background::get_type(),
                                            'control_type' => 'group',
                                            'types'             => [ 'classic' , 'gradient' ],
                                            'selector' => '{{WRAPPER}} .cta-button',
                                        ),

                                    )
                                ),
                                array(
                                    'name' => 'button_style_hover',
                                    'label' => esc_html__('Hover', 'medcaline'),
                                    'controls' => array(
                                        array(
                                            'name' => 'button_color_hover',
                                            'label' => esc_html__('Text Color', 'medcaline'),
                                            'type' => \Elementor\Controls_Manager::COLOR,
                                            'selectors' => [
                                                '{{WRAPPER}} .cta-button:hover' => 'color: {{VALUE}};'
                                            ]
                                        ),
                                        array(
                                            'name' => 'button_background_hover',
                                            'type' => \Elementor\Group_Control_Background::get_type(),
                                            'control_type' => 'group',
                                            'types'             => [ 'classic' , 'gradient' ],
                                            'selector' => '{{WRAPPER}} .cta-button:hover',
                                        ),
                                        array(
                                            'name' => 'hover_animation',
                                            'label' => esc_html__( 'Hover Animation', 'medcaline' ),
                                            'type' => \Elementor\Controls_Manager::HOVER_ANIMATION,
                                        ),
                                    )
                                ),
                            )
                        ),
                    ),
                    'condition' => [
                        'layout!' => '3',
                    ],
                ),
            ),
        ),
    ),
    get_template_directory() . '/elementor/core/widgets/'
);