<?php
lcb_add_custom_widget(
    array(
        'name' => 'cms_company_time_line',
        'title' => esc_html__('Company Timeline', 'medcaline'),
        'icon' => 'eicon-posts-carousel',
        'categories' => array(Liquid_Custom_Builder::LCB_CATEGORY_NAME),
        'scripts' => array(
            'jquery-slick',
            'cms-item-carousel-js',
        ),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'layout_section',
                    'label' => esc_html__( 'Layout', 'medcaline' ),
                    'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name' => 'layout',
                            'label' => esc_html__( 'Templates', 'medcaline' ),
                            'type' => Liquid_Custom_Builder::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'medcaline' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_company_time_line/layout-image/layout1.jpg'
                                ],
                            ],
                        ),
                    ),
                ),
                array(
                    'name' => 'section_timelines',
                    'label' => esc_html__('Timelines', 'medcaline'),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'year_items',
                            'label' => esc_html__( 'Year Items Show', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::NUMBER,
                            'min' => 1,
                            'max' => 7,
                            'step' => 1,
                            'default' => 6,
                        ),
                        array(
                            'name' => 'timelines',
                            'type' => \Elementor\Controls_Manager::REPEATER,
                            'default' => [
                                [
                                    'timeline_year' => '1996',
                                    'timeline_content' => esc_html__( 'Click edit button to change this text. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.', 'medcaline' ),
                                ],
                            ],
                            'controls' => array(
                                array(
                                    'name' => 'timeline_year',
                                    'label' => esc_html__('Timeline Year', 'medcaline'),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                    'label_block' => true,
                                    'default' => esc_html__( '1996', 'medcaline' )
                                ),
                                array(
                                    'name' => 'timeline_content',
                                    'label' => __( 'Content', 'medcaline' ),
                                    'type' => \Elementor\Controls_Manager::WYSIWYG,
                                    'default' => 'Click edit button to change this text. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.',
                                ),
                            ),
                            'title_field' => '{{{ timeline_year }}}',
                        ),
                    ),
                ),
            ),
        ),
    ),
    get_template_directory() . '/elementor/core/widgets/'
);