<?php
// Register Icon Box Widget
lcb_add_custom_widget(
    array(
        'name' => 'cms_fancy_box',
        'title' => esc_html__('Fancy Box', 'medcaline' ),
        'icon' => 'eicon-icon-box',
        'categories' => array( Liquid_Custom_Builder::LCB_CATEGORY_NAME ),
        'scripts' => array(

        ),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'layout_section',
                    'label' => esc_html__('Layout', 'medcaline' ),
                    'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name' => 'layout',
                            'label' => esc_html__('Templates', 'medcaline' ),
                            'type' => Liquid_Custom_Builder::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__('Layout 1', 'medcaline' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_fancy_box/layout-image/layout1.jpg'
                                ],
                                '2' => [
                                    'label' => esc_html__('Layout 1', 'medcaline' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_fancy_box/layout-image/layout2.jpg'
                                ],
                            ],
                        ),
                    ),
                ),
                array(
                    'name' => 'icon_section',
                    'label' => esc_html__('Icon Box', 'medcaline' ),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'icon_type',
                            'label' => esc_html__('Icon Type', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'options' => [
                                'library' => 'Icon Library',
                                'image' => 'Icon Image'
                            ],
                            'default' => 'library',
                        ),
                        array(
                            'name' => 'selected_icon',
                            'label' => esc_html__('Icon', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::ICONS,
                            'fa4compatibility' => 'icon',
                            'default' => [
                                'value' => 'fas fa-star',
                                'library' => 'fa-solid',
                            ],
                            'condition' => [
                                'icon_type' => 'library',
                            ],
                        ),
                        array(
                            'name' => 'selected_image',
                            'label' => esc_html__( 'Choose Image', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::MEDIA,
                            'condition' => [
                                'icon_type' => 'image',
                            ],
                        ),
                        array(
                            'name' => 'image_size',
                            'label' => esc_html__( 'Choose Image', 'medcaline' ),
                            'type' => \Elementor\Group_Control_Image_Size::get_type(),
                            'control_type' => 'group',
                            'default' => 'full',
                            'condition' => [
                                'icon_type' => 'image',
                            ],
                        ),
                        array(
                            'name' => 'title_text',
                            'label' => esc_html__('Title & Description', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'default' => esc_html__('This is the heading', 'medcaline' ),
                            'placeholder' => esc_html__('Enter your title', 'medcaline' ),
                            'label_block' => true,
                        ),
                        array(
                            'name' => 'description_text',
                            'label' => esc_html__('Description', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::TEXTAREA,
                            'default' => esc_html__('Click edit button to change this text. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.', 'medcaline' ),
                            'placeholder' => esc_html__('Enter your description', 'medcaline' ),
                            'rows' => 10,
                            'show_label' => false,
                        ),
                        array(
                            'name' => 'item_index',
                            'label' => esc_html__('Item Index', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::NUMBER,
                            'default' => '1',
                            'min' => '1',
                            'max' => '5',
                            'condition' => [
                                'layout' => ["1"],
                            ],
                        ),
                        array(
                            'name' => 'link',
                            'label' => esc_html__('Link', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::URL,
                        ),
                        array(
                            'name' => 'title_size',
                            'label' => esc_html__('Title HTML Tag', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'options' => [
                                'h1' => 'H1',
                                'h2' => 'H2',
                                'h3' => 'H3',
                                'h4' => 'H4',
                                'h5' => 'H5',
                                'h6' => 'H6',
                                'div' => 'div',
                                'span' => 'span',
                                'p' => 'p',
                            ],
                            'default' => 'h4',
                        ),
                        array(
                            'name' => 'text_align',
                            'label' => esc_html__('Alignment', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::CHOOSE,
                            'control_type' => 'responsive',
                            'options' => [
                                'left' => [
                                    'title' => esc_html__('Left', 'medcaline' ),
                                    'icon' => 'fa fa-align-left',
                                ],
                                'center' => [
                                    'title' => esc_html__('Center', 'medcaline' ),
                                    'icon' => 'fa fa-align-center',
                                ],
                                'right' => [
                                    'title' => esc_html__('Right', 'medcaline' ),
                                    'icon' => 'fa fa-align-right',
                                ],
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .cms-fancy-box' => 'text-align: {{VALUE}};',
                            ],
                        ),
                    ),
                ),
                array(
                    'name' => 'section_style_icon',
                    'label' => esc_html__('Icon Style', 'medcaline' ),
                    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
                    'condition' => [
                        'selected_icon!' => '',
                        'icon_type' => 'library',
                    ],
                    'controls' => array(
                        array(
                            'name' => 'icon_colors',
                            'control_type' => 'tab',
                            'tabs' => array(
                                array(
                                    'name' => 'icon_colors_normal',
                                    'label' => esc_html__('Normal', 'medcaline' ),
                                    'controls' => array(
                                        array(
                                            'name' => 'icon_color',
                                            'label' => esc_html__('Icon Color', 'medcaline' ),
                                            'type' => \Elementor\Controls_Manager::COLOR,
                                            'selectors' => [
                                                '{{WRAPPER}} .cms-fancy-box .elementor-icon' => 'color: {{VALUE}};',
                                                '{{WRAPPER}} .cms-fancy-box .elementor-icon' => 'fill: {{VALUE}}; color: {{VALUE}}; border-color: {{VALUE}};',
                                            ],
                                        ),
                                    ),
                                ),
                                array(
                                    'name' => 'icon_colors_hover',
                                    'label' => esc_html__('Hover', 'medcaline' ),
                                    'controls' => array(
                                        array(
                                            'name' => 'hover_icon_color',
                                            'label' => esc_html__('Hover Icon Color', 'medcaline' ),
                                            'type' => \Elementor\Controls_Manager::COLOR,
                                            'selectors' => [
                                                '{{WRAPPER}} .cms-fancy-box:hover .elementor-icon' => 'color: {{VALUE}};',
                                            ],
                                        ),
                                        array(
                                            'name' => 'hover_animation',
                                            'label' => esc_html__('Hover Animation', 'medcaline' ),
                                            'type' => \Elementor\Controls_Manager::HOVER_ANIMATION,
                                        ),
                                    ),
                                ),
                            ),
                        ),
                        array(
                            'name' => 'icon_space',
                            'label' => esc_html__('Bottom Spacing', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::SLIDER,
                            'control_type' => 'responsive',
                            'size_units' => [ 'px' ],
                            'default' => [
                                'size' => 25,
                            ],
                            'range' => [
                                'px' => [
                                    'min' => 15,
                                    'max' => 100,
                                ],
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .cms-fancy-box .elementor-icon' => 'margin-bottom: {{SIZE}}{{UNIT}};',
                            ],
                        ),
                        array(
                            'name' => 'icon_size',
                            'label' => esc_html__('Size', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::SLIDER,
                            'control_type' => 'responsive',
                            'size_units' => [ 'px' ],
                            'range' => [
                                'px' => [
                                    'min' => 6,
                                    'max' => 300,
                                ],
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .cms-fancy-box .elementor-icon' => 'font-size: {{SIZE}}{{UNIT}};',
                            ],
                        ),
                        array(
                            'name' => 'rotate',
                            'label' => esc_html__('Rotate', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::SLIDER,
                            'size_units' => [ 'deg' ],
                            'range' => [
                                'deg' => [
                                    'min' => 0,
                                    'max' => 360,
                                ]
                            ],
                            'default' => [
                                'size' => 0,
                                'unit' => 'deg',
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .cms-fancy-box .elementor-icon i' => 'transform: rotate({{SIZE}}{{UNIT}});',
                            ],
                        ),
                    ),
                ),
                array(
                    'name' => 'section_style_content',
                    'label' => esc_html__('Content', 'medcaline' ),
                    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name' => 'icon_image',
                            'label' => esc_html__('Icon Image', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::HEADING,
                            'condition' => [
                                'icon_type' => 'image',
                            ],
                            'separator' => 'before',
                        ),
                        array(
                            'name' => 'icon_bottom_space',
                            'label' => esc_html__('Bottom Spacing', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::SLIDER,
                            'condition' => [
                                'icon_type' => 'image',
                            ],
                            'size_units' => [ 'px' ],
                            'range' => [
                                'px' => [
                                    'min' => 0,
                                    'max' => 100,
                                ],
                            ],
                            'default' => [
                                'size' => 20,
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .cms-fancy-box-icon .elementor-image img' => 'margin-bottom: {{SIZE}}{{UNIT}};',
                            ],
                        ),
                        array(
                            'name' => 'heading_title',
                            'label' => esc_html__('Title', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::HEADING,
                            'separator' => 'before',
                        ),
                        array(
                            'name' => 'title_bottom_space',
                            'label' => esc_html__('Bottom Spacing', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::SLIDER,
                            'size_units' => [ 'px' ],
                            'range' => [
                                'px' => [
                                    'min' => 0,
                                    'max' => 100,
                                ],
                            ],
                            'default' => [
                                'size' => 16,
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .cms-fancy-box-title' => 'margin-bottom: {{SIZE}}{{UNIT}};',
                            ],
                        ),
                        array(
                            'name' => 'title_color',
                            'label' => esc_html__('Color', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .cms-fancy-box-title' => 'color: {{VALUE}};',
                                '{{WRAPPER}} .cms-fancy-box-title a' => 'color: {{VALUE}};',
                            ],
                        ),
                        array(
                            'name' => 'title_typography',
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .cms-fancy-box-title',
                        ),
                        array(
                            'name' => 'heading_description',
                            'label' => esc_html__('Description', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::HEADING,
                            'separator' => 'before',
                        ),
                        array(
                            'name' => 'description_color',
                            'label' => esc_html__('Color', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'default' => '',
                            'selectors' => [
                                '{{WRAPPER}} .cms-fancy-box-description' => 'color: {{VALUE}};',
                            ],
                        ),
                        array(
                            'name' => 'description_typography',
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .cms-fancy-box-description',
                        ),
                    ),
                ),
            ),
        ),
    ),
    get_template_directory() . '/elementor/core/widgets/'
);