<?php

// Register Newsletter Form Widget
if(class_exists('Newsletter')) {
    $news_forms = array_filter( (array) get_option( 'newsletter_forms', array() ) );
    $news_forms_list = array(
        'default' => esc_html__( 'Default Form', 'medcaline' )
    );
    if ( $news_forms )
    {
        $index = 1;
        foreach ( $news_forms as $key => $form )
        {
            $news_forms_list[$key] = sprintf( esc_html__( 'form_%s', 'medcaline' ), $index );
            $index ++;
        }
    }
    lcb_add_custom_widget(
        array(
            'name' => 'cms_newsletter',
            'title' => esc_html__('Newsletter Forms', 'medcaline'),
            'icon' => 'eicon-form-horizontal',
            'categories' => array(Liquid_Custom_Builder::LCB_CATEGORY_NAME),
            'scripts' => array(
                'cms-newsletter-widget-js',
            ),
            'params' => array(
                'sections' => array(
                    array(
                        'name' => 'source_section',
                        'label' => esc_html__('Content Settings', 'medcaline'),
                        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                        'controls' => array(
                            array(
                                'name' => 'newsletter_id',
                                'label' => esc_html__('Select Form', 'medcaline'),
                                'type' => \Elementor\Controls_Manager::SELECT,
                                'options' => $news_forms_list,
                                'default' => 'default',
                            ),
                            array(
                                'name' => 'form_style',
                                'label' => esc_html__('Form Style', 'medcaline'),
                                'type' => \Elementor\Controls_Manager::SELECT,
                                'options' => [
                                    'default' => esc_html__('Default', 'medcaline' ),
                                    'e-sidebar-widget' => esc_html__('Default Sidebar', 'medcaline' ),
                                    'horizontal' => esc_html__('Horizontal', 'medcaline' ),
                                    'minimal' => esc_html__('Minimal', 'medcaline' ),
                                    'minimal2' => esc_html__('Minimal2', 'medcaline' ),
                                    'minimal2 overlay' => esc_html__('Minimal2 Overlay', 'medcaline' ),
                                ],
                                'default' => 'default',
                            ),
                            array(
                                'name' => 'el_title',
                                'label' => esc_html__('Widget Title', 'medcaline'),
                                'type' => \Elementor\Controls_Manager::TEXTAREA,
                                'label_block' => true,
                                'condition' => [
                                    'form_style' => 'e-sidebar-widget',
                                ],
                            ),
                            array(
                                'name' => 'widget_description',
                                'label' => esc_html__('Widget Description', 'medcaline'),
                                'type' => \Elementor\Controls_Manager::TEXTAREA,
                                'label_block' => true,
                                'condition' => [
                                    'form_style' => 'e-sidebar-widget',
                                ],
                            ),
                            array(
                                'name' => 'news_alignment',
                                'label' => esc_html__('Alignment', 'medcaline' ),
                                'type' => \Elementor\Controls_Manager::SELECT,
                                'default' => 'left',
                                'options' => [
                                    'center' => esc_html__('Center', 'medcaline' ),
                                    'left' => esc_html__('Left', 'medcaline' ),
                                    'right' => esc_html__('Right', 'medcaline' ),
                                ],
                            ),
                        ),
                    ),
                ),
            ),
        ),
        get_template_directory() . '/elementor/core/widgets/'
    );
}