<?php
// Layout Section
$pricing_table_layout_section = array(
    'name' => 'layout_section',
    'label' => esc_html__( 'Layout', 'medcaline' ),
    'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
    'controls' => array(
        array(
            'name' => 'layout',
            'label' => esc_html__( 'Templates', 'medcaline' ),
            'type' => Liquid_Custom_Builder::LAYOUT_CONTROL,
            'default' => '1',
            'options' => [
                '1' => [
                    'label' => esc_html__( 'Layout 1', 'medcaline' ),
                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_pricing_table/layout-image/layout1.jpg'
                ],
            ],
        ),
    ),
);

// Pricing Table Title Section
$pricing_table_title_section = array(
    'name' => 'pricing_table_title_section',
    'label' => esc_html__('Title', 'medcaline'),
    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
    'controls' => array(
        array(
            'name' => 'pricing_table_title_text',
            'label' => esc_html__('Text', 'medcaline'),
            'type' => \Elementor\Controls_Manager::TEXT,
            'default'       => esc_html__('Pricing Table', 'medcaline'),
            'label_block'   => true,
        ),
        array(
            'name' => 'pricing_table_title_size',
            'label' => esc_html__('HTML Tag', 'medcaline'),
            'type' => \Elementor\Controls_Manager::SELECT,
            'default'       => 'h3',
            'options'       => [
                'h1'    => 'H1',
                'h2'    => 'H2',
                'h3'    => 'H3',
                'h4'    => 'H4',
                'h5'    => 'H5',
                'h6'    => 'H6',
            ],
            'label_block'   => true,
        ),
        array(
            'name' => 'show_highlight_star',
            'label' => esc_html__('Highlight Star', 'medcaline' ),
            'type' => \Elementor\Controls_Manager::SWITCHER,
            'default' => 'false',
        ),
    ),
);

// Pricing Table Pricing Section
$pricing_table_price_section = array(
    'name' => 'pricing_table_price_section',
    'label' => esc_html__('Price', 'medcaline'),
    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
    'controls' => array(
        array(
            'name' => 'pricing_table_price_currency',
            'label' => esc_html__('Currency', 'medcaline'),
            'type' => \Elementor\Controls_Manager::TEXT,
            'default'       => '$',
            'label_block'   => true,
        ),
        array(
            'name' => 'pricing_table_price_value',
            'label' => esc_html__('Price', 'medcaline'),
            'type' => \Elementor\Controls_Manager::TEXT,
            'default'       => '25',
            'label_block'   => true,
        ),
        array(
            'name' => 'pricing_table_price_separator',
            'label' => esc_html__('Divider', 'medcaline'),
            'type' => \Elementor\Controls_Manager::TEXT,
            'default'       => '/',
            'label_block'   => true,
        ),
        array(
            'name' => 'pricing_table_price_duration',
            'label' => esc_html__('Duration', 'medcaline'),
            'type' => \Elementor\Controls_Manager::TEXT,
            'default'       => 'm',
            'label_block'   => true,
        ),
    ),
);

// Pricing Table Description Section
$pricing_table_desc_section = array(
    'name' => 'pricing_table_desc_section',
    'label' => esc_html__('Description', 'medcaline'),
    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
    'controls' => array(
        array(
            'name' => 'pricing_table_description',
            'label' => esc_html__('Text', 'medcaline'),
            'type' => \Elementor\Controls_Manager::TEXTAREA,
            'default'       => esc_html__('This is description text...', 'medcaline'),
            'label_block'   => true,
        ),
    ),
);

// Pricing Table Icon List Section
$pricing_table_list_section = array(
    'name' => 'pricing_table_list_section',
    'label' => esc_html__('Icon List', 'medcaline'),
    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
    'controls' => array(
        array(
            'name' => 'fancy_text_list_items',
            'label' => esc_html__('Features', 'medcaline'),
            'type' => \Elementor\Controls_Manager::REPEATER,
            'default'       => [
                [
                    'pricing_list_item_icon'    => 'fa fa-check',
                    'pricing_list_item_text' => esc_html__( 'List Item #1', 'medcaline' ),
                ],
                [
                    'pricing_list_item_icon'    => 'fa fa-check',
                    'pricing_list_item_text' => esc_html__( 'List Item #2', 'medcaline' ),
                ],
                [
                    'pricing_list_item_icon'    => 'fa fa-check',
                    'pricing_list_item_text' => esc_html__( 'List Item #3', 'medcaline' ),
                ],
            ],
            'controls' => array(
                array(
                    'name' => 'pricing_list_item_text',
                    'label' => esc_html__('Text', 'medcaline'),
                    'type' => \Elementor\Controls_Manager::TEXT,
                    'label_block' => true,
                ),
                array(
                    'name' => 'pricing_list_item_icon',
                    'label' => esc_html__('Icon', 'medcaline'),
                    'type' => \Elementor\Controls_Manager::ICONS,
                    'fa4compatibility' => 'icon',
                ),
                array(
                    'name' => 'pricing_list_item_slashed',
                    'label' => esc_html__('Slashed', 'medcaline'),
                    'type' => \Elementor\Controls_Manager::SWITCHER,
                ),
            ),
            'title_field'   => '<i class="{{ pricing_list_item_icon }}" aria-hidden="true"></i> {{{ pricing_list_item_text }}}',
        ),
    ),
);
// Pricing Table Button Section
$pricing_table_button_section = array(
    'name' => 'pricing_table_button_section',
    'label' => esc_html__('Button', 'medcaline'),
    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
    'controls' => array(
        array(
            'name' => 'pricing_table_button_text',
            'label' => esc_html__('Text', 'medcaline'),
            'type' => \Elementor\Controls_Manager::TEXT,
            'default'       => esc_html__('Get Started' , 'medcaline'),
            'label_block'   => true,
        ),
        array(
            'name' => 'pricing_table_button_url_type',
            'label' => esc_html__('Link Type', 'medcaline'),
            'type' => \Elementor\Controls_Manager::SELECT,
            'options'       => [
                'url'   => esc_html__('URL', 'medcaline'),
                'link'  => esc_html__('Existing Page', 'medcaline'),
            ],
            'default'       => 'url',
            'label_block'   => true,
        ),
        array(
            'name' => 'pricing_table_button_link',
            'label' => esc_html__('Link', 'medcaline'),
            'type' => \Elementor\Controls_Manager::URL,
            'condition'     => [
                'pricing_table_button_url_type'     => 'url',
            ],
            'label_block'   => true,
        ),
        array(
            'name' => 'pricing_table_button_link_existing_content',
            'label' => esc_html__('Existing Page', 'medcaline'),
            'type' => \Elementor\Controls_Manager::SELECT2,
            'options'       => lcb_get_all_page(),
            'condition'     => [
                'pricing_table_button_url_type'     => 'link',
            ],
            'multiple'      => false,
            'label_block'   => true,
        ),
    ),
);

// Title Style Settings
$pricing_title_style_settings = array(
    'name' => 'pricing_title_style_settings',
    'label' => esc_html__('Title', 'medcaline'),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'controls' => array(
        array(
            'name' => 'title_background',
            'label' => esc_html__('Background Color', 'medcaline'),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors'     => [
                '{{WRAPPER}} .pricing-price-container'  => 'background-color: {{VALUE}};'
            ],
        ),
        array(
            'name' => 'pricing_title_color',
            'label' => esc_html__('Color', 'medcaline'),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors'     => [
                '{{WRAPPER}} .pricing-table-title'  => 'color: {{VALUE}};'
            ]
        ),
        array(
            'name' => 'title_typo',
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector'      => '{{WRAPPER}} .pricing-table-title',
        ),
        array(
            'name' => 'pricing_title_margin',
            'label' => esc_html__('Margin', 'medcaline'),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'control_type' => 'responsive',
            'size_units'    => ['px', 'em', '%'],
            'selectors'     => [
                '{{WRAPPER}} .pricing-table-title' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};'
            ]
        ),
    ),
);

// Price Style Settings
$pricing_price_style_settings = array(
    'name' => 'pricing_price_style_settings',
    'label' => esc_html__('Price', 'medcaline'),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'controls' => array(
        array(
            'name' => 'price_box',
            'label' => esc_html__('Price Box', 'medcaline'),
            'type' => \Elementor\Controls_Manager::HEADING,
        ),
        array(
            'name' => 'price_box_background',
            'label' => esc_html__('Background Color', 'medcaline'),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors'     => [
                '{{WRAPPER}} .price-money-container'  => 'background-color: {{VALUE}};'
            ],
        ),
        array(
            'name' => 'pricing_currency_heading',
            'label' => esc_html__('Currency', 'medcaline'),
            'type' => \Elementor\Controls_Manager::HEADING,
        ),
        array(
            'name' => 'pricing_currency_color',
            'label' => esc_html__('Color', 'medcaline'),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors'     => [
                '{{WRAPPER}} .pricing-price-currency'  => 'color: {{VALUE}};'
            ],
        ),
        array(
            'name' => 'currency_typo',
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector'      => '{{WRAPPER}} .pricing-price-currency',
        ),
        array(
            'name' => 'pricing_currency_postion',
            'label' => esc_html__('Position', 'medcaline'),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'control_type' => 'responsive',
            'size_units'        => ['px', 'em', '%'],
            'allowed_dimensions' => ['top', 'left'],
            'selectors'         => [
                '{{WRAPPER}} .pricing-price-currency' => 'top: {{TOP}}{{UNIT}}; left: {{LEFT}}{{UNIT}};',
            ],
            'separator'     => 'after'
        ),
        array(
            'name' => 'pricing_price_heading',
            'label' => esc_html__('Price', 'medcaline'),
            'type' => \Elementor\Controls_Manager::HEADING,
        ),
        array(
            'name' => 'pricing_price_color',
            'label' => esc_html__('Color', 'medcaline'),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors'     => [
                '{{WRAPPER}} .pricing-price-value'  => 'color: {{VALUE}};'
            ],
        ),
        array(
            'name' => 'price_typo',
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector'      => '{{WRAPPER}} .pricing-price-value',
        ),
        array(
            'name' => 'pricing_price_margin',
            'label' => esc_html__('Margin', 'medcaline'),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'control_type' => 'responsive',
            'size_units'        => ['px', 'em', '%'],
            'selectors'         => [
                '{{WRAPPER}} .pricing-price-value' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'separator'     => 'after',
        ),
        array(
            'name' => 'pricing_sep_heading',
            'label' => esc_html__('Divider', 'medcaline'),
            'type' => \Elementor\Controls_Manager::HEADING,
        ),
        array(
            'name' => 'pricing_sep_color',
            'label' => esc_html__('Color', 'medcaline'),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors'     => [
                '{{WRAPPER}} .pricing-price-separator'  => 'color: {{VALUE}};'
            ],
        ),
        array(
            'name' => 'separator_typo',
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector'      => '{{WRAPPER}} .pricing-price-separator',
        ),
        array(
            'name' => 'pricing_sep_margin',
            'label' => esc_html__('Margin', 'medcaline'),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'control_type' => 'responsive',
            'size_units'        => ['px', 'em', '%'],
            'selectors'         => [
                '{{WRAPPER}} .pricing-price-separator' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'separator'     => 'after',
        ),
        array(
            'name' => 'pricing_dur_heading',
            'label' => esc_html__('Duration', 'medcaline'),
            'type' => \Elementor\Controls_Manager::HEADING,
        ),
        array(
            'name' => 'pricing_dur_color',
            'label' => esc_html__('Color', 'medcaline'),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors'     => [
                '{{WRAPPER}} .pricing-price-duration'  => 'color: {{VALUE}};'
            ],
        ),
        array(
            'name' => 'duration_typo',
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector'      => '{{WRAPPER}} .pricing-price-duration',
        ),
        array(
            'name' => 'pricing_dur_margin',
            'label' => esc_html__('Margin', 'medcaline'),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'control_type' => 'responsive',
            'size_units'        => ['px', 'em', '%'],
            'selectors'         => [
                '{{WRAPPER}} .pricing-price-duration' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};'
            ],
            'separator'     => 'after',
        ),
    ),
);

// Icon List Style Settings
$pricing_list_style_settings = array(
    'name' => 'pricing_list_style_settings',
    'label' => esc_html__('Features List', 'medcaline'),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'controls' => array(
        array(
            'name' => 'pricing_features_text_heading',
            'label' => esc_html__('Text', 'medcaline'),
            'type' => \Elementor\Controls_Manager::HEADING,
        ),
        array(
            'name' => 'pricing_list_text_color',
            'label' => esc_html__('Color', 'medcaline'),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors'     => [
                '{{WRAPPER}} .pricing-list .pricing-list-span'  => 'color: {{VALUE}};'
            ]
        ),
        array(
            'name' => 'pricing_list_slashed_color',
            'label' => esc_html__('Slashed Color', 'medcaline'),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors'     => [
                '{{WRAPPER}} .pricing-list .pricing-list-span.item-slashed'  => 'color: {{VALUE}};'
            ]
        ),
        array(
            'name' => 'list_typo',
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector'      => '{{WRAPPER}} .pricing-list .pricing-list-span',
            'separator' => 'after',
        ),
        array(
            'name' => 'pricing_features_icon_heading',
            'label' => esc_html__('Icon', 'medcaline'),
            'type' => \Elementor\Controls_Manager::HEADING,
        ),
        array(
            'name' => 'pricing_list_icon_color',
            'label' => esc_html__('Color', 'medcaline'),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors'     => [
                '{{WRAPPER}} .pricing-list i'  => 'color: {{VALUE}};'
            ]
        ),
        array(
            'name' => 'pricing_list_icon_size',
            'label' => esc_html__('Size', 'medcaline'),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'selectors'     => [
                '{{WRAPPER}} .pricing-list i' => 'font-size: {{SIZE}}px',
            ]
        ),
        array(
            'name' => 'pricing_list_icon_spacing',
            'label' => esc_html__('Spacing', 'medcaline'),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'selectors'     => [
                '{{WRAPPER}} .pricing-list i' => 'margin-right: {{SIZE}}px',
            ],
        ),
        array(
            'name' => 'pricing_list_item_margin',
            'label' => esc_html__('Vertical Spacing', 'medcaline'),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'selectors'     => [
                '{{WRAPPER}} .pricing-list li' => 'margin-bottom: {{SIZE}}px;'
            ],
            'separator'     => 'after'
        ),
    ),
);

// Button Style Settings
$pricing_button_style_settings = array(
    'name' => 'pricing_button_style_settings',
    'label' => esc_html__('Button', 'medcaline'),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'controls' => array(
        array(
            'name' => 'pricing_button_color',
            'label' => esc_html__('Color', 'medcaline'),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pricing-price-button' => 'color: {{VALUE}};'
            ]
        ),
        array(
            'name' => 'pricing_button_hover_color',
            'label' => esc_html__('Hover Text Color', 'medcaline'),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pricing-price-button:hover' => 'color: {{VALUE}};'
            ]
        ),
        array(
            'name' => 'button_typo',
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector' => '{{WRAPPER}} .pricing-price-button',
        ),
        array(
            'name' => 'pricing_table_button_style_tabs',
            'control_type' => 'tab',
            'tabs' => array(
                array(
                    'name' => 'pricing_table_button_style_normal',
                    'label' => esc_html__('Normal', 'medcaline'),
                    'controls' => array(
                        array(
                            'name' => 'pricing_table_button_background',
                            'type' => \Elementor\Group_Control_Background::get_type(),
                            'control_type' => 'group',
                            'types'             => [ 'classic' , 'gradient' ],
                            'selector' => '{{WRAPPER}} .pricing-price-button',
                        ),
                        array(
                            'name' => 'pricing_table_button_border',
                            'type' => \Elementor\Group_Control_Border::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .pricing-price-button',
                        ),
                        array(
                            'name' => 'pricing_table_box_button_radius',
                            'label' => esc_html__('Border Radius', 'medcaline'),
                            'type' => \Elementor\Controls_Manager::SLIDER,
                            'selectors' => [
                                '{{WRAPPER}} .pricing-price-button' => 'border-radius: {{SIZE}}{{UNIT}};'
                            ]
                        ),
                        array(
                            'name' => 'pricing_button_margin',
                            'label' => esc_html__('Margin', 'medcaline'),
                            'type' => \Elementor\Controls_Manager::DIMENSIONS,
                            'control_type' => 'responsive',
                            'size_units'    => ['px', 'em', '%'],
                            'selectors'     => [
                                '{{WRAPPER}} .pricing-price-button' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};'
                            ]
                        ),
                        array(
                            'name' => 'pricing_button_padding',
                            'label' => esc_html__('Padding', 'medcaline'),
                            'type' => \Elementor\Controls_Manager::DIMENSIONS,
                            'control_type' => 'responsive',
                            'size_units'    => ['px', 'em', '%'],
                            'selectors'     => [
                                '{{WRAPPER}} .pricing-price-button' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};'
                            ]
                        ),
                    )
                ),
                array(
                    'name' => 'pricing_table_button_style_hover',
                    'label' => esc_html__('Hover', 'medcaline'),
                    'controls' => array(
                        array(
                            'name' => 'pricing_table_button_background_hover',
                            'type' => \Elementor\Group_Control_Background::get_type(),
                            'control_type' => 'group',
                            'types' => [ 'classic' , 'gradient' ],
                            'selector' => '{{WRAPPER}} .pricing-price-button:hover',
                        ),
                        array(
                            'name' => 'pricing_table_button_border_hover',
                            'type' => \Elementor\Group_Control_Border::get_type(),
                            'control_type' => 'group',
                            'selector'      => '{{WRAPPER}} .pricing-price-button:hover',
                        ),
                        array(
                            'name' => 'pricing_table_button_border_radius_hover',
                            'label' => esc_html__('Border Radius', 'medcaline'),
                            'type' => \Elementor\Controls_Manager::SLIDER,
                            'selectors'     => [
                                '{{WRAPPER}} .pricing-price-button:hover' => 'border-radius: {{SIZE}}{{UNIT}};'
                            ]
                        ),
                        array(
                            'name' => 'pricing_table_button_shadow_hover',
                            'type' => \Elementor\Group_Control_Box_Shadow::get_type(),
                            'control_type' => 'group',
                            'selector'      => '{{WRAPPER}} .pricing-price-button:hover',
                        ),
                        array(
                            'name' => 'pricing_button_margin_hover',
                            'label' => esc_html__('Margin', 'medcaline'),
                            'type' => \Elementor\Controls_Manager::DIMENSIONS,
                            'control_type' => 'responsive',
                            'size_units'    => ['px', 'em', '%'],
                            'selectors'     => [
                                '{{WRAPPER}} .pricing-price-button:hover' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};'
                            ]
                        ),
                        array(
                            'name' => 'pricing_button_padding_hover',
                            'label' => esc_html__('Padding', 'medcaline'),
                            'type' => \Elementor\Controls_Manager::DIMENSIONS,
                            'control_type' => 'responsive',
                            'size_units'    => ['px', 'em', '%'],
                            'selectors'     => [
                                '{{WRAPPER}} .pricing-price-button:hover' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};'
                            ]
                        ),
                    )
                ),
            )
        ),
    ),
);
// Box Style Settings
$pricing_box_style_settings = array(
    'name' => 'pricing_box_style_settings',
    'label' => esc_html__('Box Settings', 'medcaline'),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'controls' => array(
        array(
            'name' => 'pricing_table_box_style_tabs',
            'control_type' => 'tab',
            'tabs' => array(
                array(
                    'name' => 'pricing_table_box_style_normal',
                    'label' => esc_html__('Normal', 'medcaline'),
                    'controls' => array(
                        array(
                            'name' => 'pricing_table_box_background',
                            'type' => \Elementor\Group_Control_Background::get_type(),
                            'control_type' => 'group',
                            'types'             => [ 'classic' , 'gradient' ],
                            'selector'          => '{{WRAPPER}} .pricing-table-container',
                        ),
                        array(
                            'name' => 'pricing_table_box_border_radius',
                            'label' => esc_html__('Border Radius', 'medcaline'),
                            'type' => \Elementor\Controls_Manager::SLIDER,
                            'size_units'    => ['px', '%' ,'em'],
                            'selectors'     => [
                                '{{WRAPPER}} .pricing-table-container' => 'border-radius: {{SIZE}}{{UNIT}};'
                            ]
                        ),
                        array(
                            'name' => 'pricing_box_margin',
                            'label' => esc_html__('Margin', 'medcaline'),
                            'type' => \Elementor\Controls_Manager::DIMENSIONS,
                            'control_type' => 'responsive',
                            'size_units'    => ['px', 'em', '%'],
                            'selectors'     => [
                                '{{WRAPPER}} .pricing-table-container' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};'
                            ]
                        ),
                        array(
                            'name' => 'pricing_box_padding',
                            'label' => esc_html__('Padding', 'medcaline'),
                            'type' => \Elementor\Controls_Manager::DIMENSIONS,
                            'control_type' => 'responsive',
                            'size_units'    => ['px', 'em', '%'],
                            'selectors'     => [
                                '{{WRAPPER}} .pricing-table-container' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};'
                            ]
                        ),
                        array(
                            'name' => 'cms_animate',
                            'label' => esc_html__('Theme Animate', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'options' => medcaline_animate(),
                            'default' => '',
                        ),
                    )
                ),
                array(
                    'name' => 'pricing_table_box_style_hover',
                    'label' => esc_html__('Hover', 'medcaline'),
                    'controls' => array(
                        array(
                            'name' => 'pricing_table_box_background_hover',
                            'type' => \Elementor\Group_Control_Background::get_type(),
                            'control_type' => 'group',
                            'types' => [ 'classic' , 'gradient' ],
                            'selector'          => '{{WRAPPER}} .pricing-table-container:hover',
                        ),
                        array(
                            'name' => 'pricing_table_box_border_hover',
                            'type' => \Elementor\Group_Control_Border::get_type(),
                            'control_type' => 'group',
                            'selector'      => '{{WRAPPER}} .pricing-table-container:hover',
                        ),
                        array(
                            'name' => 'pricing_table_box_border_radius_hover',
                            'label' => esc_html__('Border Radius', 'medcaline'),
                            'type' => \Elementor\Controls_Manager::SLIDER,
                            'selectors'     => [
                                '{{WRAPPER}} .pricing-price-button:hover' => 'border-radius: {{SIZE}}{{UNIT}};'
                            ]
                        ),
                        array(
                            'name' => 'pricing_table_box_shadow_hover',
                            'type' => \Elementor\Group_Control_Box_Shadow::get_type(),
                            'control_type' => 'group',
                            'selector'      => '{{WRAPPER}} .pricing-table-container:hover',
                        ),
                        array(
                            'name' => 'pricing_box_margin_hover',
                            'label' => esc_html__('Margin', 'medcaline'),
                            'type' => \Elementor\Controls_Manager::DIMENSIONS,
                            'control_type' => 'responsive',
                            'size_units'    => ['px', 'em', '%'],
                            'selectors'     => [
                                '{{WRAPPER}} .pricing-table-container:hover' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};'
                            ]
                        ),
                        array(
                            'name' => 'pricing_box_padding_hover',
                            'label' => esc_html__('Padding', 'medcaline'),
                            'type' => \Elementor\Controls_Manager::DIMENSIONS,
                            'control_type' => 'responsive',
                            'size_units'    => ['px', 'em', '%'],
                            'selectors'     => [
                                '{{WRAPPER}} .pricing-table-container:hover' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};'
                            ]
                        ),
                    )
                ),
            )
        ),
    ),
);

lcb_add_custom_widget(
    array(
        'name' => 'cms_pricing_table',
        'title' => esc_html__('Pricing Table', 'medcaline'),
        'icon' => 'eicon-price-table',
        'categories' => array(Liquid_Custom_Builder::LCB_CATEGORY_NAME),
        'params' => array(
            'sections' => array(
                $pricing_table_layout_section,
                $pricing_table_title_section,
                $pricing_table_price_section,
                $pricing_table_desc_section,
                $pricing_table_list_section,
                $pricing_table_button_section,
                $pricing_title_style_settings,
                $pricing_price_style_settings,
                $pricing_list_style_settings,
                $pricing_button_style_settings,
                $pricing_box_style_settings,
            ),
        ),
    ),
    get_template_directory() . '/elementor/core/widgets/'
);