<?php

// Register Progress Bar Widget
lcb_add_custom_widget(
    array(
        'name' => 'cms_progressbar',
        'title' => esc_html__( 'Progress Bar', 'medcaline' ),
        'icon' => 'eicon-skill-bar',
        'categories' => array( Liquid_Custom_Builder::LCB_CATEGORY_NAME ),
        'scripts' => array(
            'cms-progressbar-widget-js',
        ),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'layout_section',
                    'label' => esc_html__('Layout', 'medcaline' ),
                    'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name' => 'layout',
                            'label' => esc_html__('Templates', 'medcaline' ),
                            'type' => Liquid_Custom_Builder::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__('Layout 1', 'medcaline' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_progressbar/layout-image/layout1.jpg'
                                ],
                            ],
                        ),
                    ),
                ),
                array(
                    'name' => 'source_section',
                    'label' => esc_html__( 'Source Settings', 'medcaline' ),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'progressbar_list',
                            'label' => esc_html__( 'Progress Bar Lists', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::REPEATER,
                            'controls' => array(
                                array(
                                    'name' => 'title',
                                    'label' => esc_html__( 'Title', 'medcaline' ),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                    'placeholder' => esc_html__( 'Enter your title', 'medcaline' ),
                                    'default' => esc_html__( 'My Skill', 'medcaline' ),
                                    'label_block' => true,
                                ),
                                array(
                                    'name' => 'percent',
                                    'label' => esc_html__( 'Percentage', 'medcaline' ),
                                    'type' => \Elementor\Controls_Manager::SLIDER,
                                    'default' => [
                                        'size' => 50,
                                        'unit' => '%',
                                    ],
                                    'label_block' => true,
                                ),
                                array(
                                    'name' => 'progress_type',
                                    'label' => esc_html__( 'Type', 'medcaline' ),
                                    'type' => \Elementor\Controls_Manager::SELECT,
                                    'default' => 'type-primary',
                                    'options' => [
                                        'type-primary' => esc_html__( 'Color Primary', 'medcaline' ),
                                        'type-secondary' => esc_html__( 'Color Secondary', 'medcaline' ),
                                        'type-tertiary' => esc_html__( 'Color Tertiary', 'medcaline' ),
                                    ],
                                ),
                            ),
                        ),
                        array(
                            'name' => 'bar_background',
                            'label' => esc_html__('Bar Background', 'medcaline'),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .cms-progress-wrapper .elementor-progress-wrapper' => 'background-color: {{VALUE}};'
                            ],
                            'default' => '#e9e9e9'

                        ),
                    ),
                ),
            ),
        ),
    ),
    get_template_directory() . '/elementor/core/widgets/'
);