<?php
// Register Contact Form 7 Widget
lcb_add_custom_widget(
    array(
        'name' => 'cms_single_testimonial',
        'title' => esc_html__('Client Review', 'medcaline'),
        'icon' => 'eicon-editor-quote',
        'categories' => array(Liquid_Custom_Builder::LCB_CATEGORY_NAME),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'layout_section',
                    'label' => esc_html__( 'Layout', 'medcaline' ),
                    'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name' => 'layout',
                            'label' => esc_html__( 'Templates', 'medcaline' ),
                            'type' => Liquid_Custom_Builder::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__( 'Layout 1', 'medcaline' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_single_testimonial/layout-image/layout1.jpg'
                                ],
                                '2' => [
                                    'label' => esc_html__( 'Layout 2', 'medcaline' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_single_testimonial/layout-image/layout2.jpg'
                                ],
                            ],
                        ),
                    ),
                ),
                array(
                    'name' => 'review_section',
                    'label' => esc_html__( 'How To Create Review Link?', 'medcaline' ),
                    'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'condition' => [
                        'layout' => '1',
                    ],
                    'controls' => array(
                        array(
                            'name' => 'review_guide',
                            'label' => esc_html__( 'Review Link Format:', 'medcaline' ),
                            'type' => Liquid_Custom_Builder::LAYOUT_CONTROL,
                            'description' => esc_html__('https://search.google.com/local/writereview?placeid=YOUR_PLACE_ID', 'medcaline'),

                        ),
                        array(
                            'name' => 'review_placeid',
                            'label' => esc_html__( 'Get YOUR_PLACE_ID At:', 'medcaline' ),
                            'type' => Liquid_Custom_Builder::LAYOUT_CONTROL,
                            'description' => esc_html__('https://developers-dot-devsite-v2-prod.appspot.com/maps/documentation/javascript/examples/places-placeid-finder', 'medcaline'),

                        ),
                    ),
                ),
                array(
                    'name' => 'section_clients',
                    'label' => esc_html__('Clients', 'medcaline'),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'client_content',
                            'label' => __( 'Content', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::TEXTAREA,
                            'rows' => '10',
                            'default' => 'Click edit button to change this text. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.',
                            'placeholder' => esc_html__('Enter some text here.', 'medcaline' ),
                        ),
                        array(
                            'name' => 'client_name',
                            'label' => esc_html__('Client Name', 'medcaline'),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'label_block' => true,
                            'default' => esc_html__( 'John Doe', 'medcaline' )
                        ),
                        array(
                            'name' => 'rating',
                            'label' => esc_html__('Rating', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'default' => 'star5',
                            'options' => [
                                'star1' => esc_html__('1 Star', 'medcaline' ),
                                'star2' => esc_html__('2 Star', 'medcaline' ),
                                'star3' => esc_html__('3 Star', 'medcaline' ),
                                'star4' => esc_html__('4 Star', 'medcaline' ),
                                'star5' => esc_html__('5 Star', 'medcaline' ),
                            ],
                        ),
                        array(
                            'name' => 'client_image',
                            'label' => esc_html__('Client Avatar', 'medcaline'),
                            'type' => \Elementor\Controls_Manager::MEDIA,
                            'label_block' => true,
                            'condition' => [
                                'layout' => '2',
                            ],
                        ),
                        array(
                            'name'  =>  'client_job',
                            'label' => __( 'Job', 'medcaline' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'default' => 'Customer',
                            'condition' => [
                                'layout' => '2',
                            ],
                        ),
                    ),
                ),
            ),
        ),
    ),
    get_template_directory() . '/elementor/core/widgets/'
);