<?php
$link_type = $settings['button_url_type'];

$target = $rel = '';
if($link_type == 'link'){
    $link_url = get_permalink($settings['button_link_existing_content']);
} elseif ($link_type == 'url') {
    $link_url = $settings['button_link']['url'];
    $target = !empty($settings['button_link']['is_external'])?'_blank':'';
    $rel = !empty($settings['button_link']['nofollow'])?'nofollow':'';
}
$btn_hover_class = "";
if ( $settings['hover_animation'] ) {
    $btn_hover_class = 'elementor-animation-' . $settings['hover_animation'];
}
$cta_icon = get_template_directory_uri().'/assets/images/cta-icon.png';
// Attribute Handle and name(id) of Control Setting is same
// to render editing result together.
$widget->add_render_attribute( 'description', array(
    'class' => ['cta-description', 'font-smooth'],
) );
$widget->add_render_attribute( 'heading_text', array(
    'class' => ['custom-heading', 'font-smooth'],
) );

// Tooltip basic(default), advanced, none.
$widget->add_inline_editing_attributes( 'description' );
$widget->add_inline_editing_attributes( 'heading_text', 'none' );
$phone_text_href = "";
if (!empty( $settings['description'])){
    $phone_text_href = str_replace(array(' ', '+'), '', $settings['description']);
}
?>
<div class="cms-call-to-action layout3">
    <div class="content-inner">
        <a class="phone-ring" href="tel:<?php echo esc_attr($phone_text_href); ?>">
            <span class="phone-ring-icon">
                <i class="zmdi zmdi-phone-msg"></i>
            </span>
        </a>
        <div class="content-text">
            <?php if(!empty($settings['heading_text'])) : ?>
                <h5 <?php lcb_print_html($widget->get_render_attribute_string( 'heading_text' )); ?>>
                    <?php echo esc_html($settings['heading_text']); ?>
                </h5>
            <?php endif; ?>
            <?php if(!empty($settings['description'])) :
                ?>
                <h2 <?php lcb_print_html($widget->get_render_attribute_string( 'description' )); ?>>
                    <?php echo esc_html($settings['description']); ?>
                </h2>
            <?php endif; ?>
        </div>
    </div>
</div>