<?php
$widget->add_render_attribute( 'inner', [
    'class' => 'cms-clients-list-inner',
] );
$slidesToShow = !empty($settings['slides_to_show'])?$settings['slides_to_show']:3;
$isSingleSlide = 1 === $slidesToShow;
$defaultLGDevicesSlidesCount = $isSingleSlide ? 1 : 2;
$slidesToShowTablet = !empty($settings['slides_to_show_tablet'])?$settings['slides_to_show_tablet']:$defaultLGDevicesSlidesCount;
$slidesToShowMobile = !empty($settings['slides_to_show_mobile'])?$settings['slides_to_show_mobile']:1;
if($isSingleSlide){
    $slidesToScroll = 1;
}
else{
    $slidesToScroll = !empty($settings['slides_to_scroll'])?$settings['slides_to_scroll']:$defaultLGDevicesSlidesCount;
}
$slidesToScrollTablet = !empty($settings['slides_to_scroll_tablet'])?$settings['slides_to_scroll_tablet']:$defaultLGDevicesSlidesCount;
$slidesToScrollMobile = !empty($settings['slides_to_scroll_mobile'])?$settings['slides_to_scroll_mobile']:1;
$widget->add_render_attribute( 'carousel', [
    'class' => 'cms-slick-carousel',
    'data-arrows' => $settings['arrows'],
    'data-dots' => $settings['dots'],
    'data-pauseOnHover' => $settings['pause_on_hover'],
    'data-autoplay' => $settings['autoplay'],
    'data-autoplaySpeed' => $settings['autoplay_speed'],
    'data-infinite' => $settings['infinite'],
    'data-speed' => $settings['speed'],
    'data-slidesToShow' => $slidesToShow,
    'data-slidesToShowTablet' => $slidesToShowTablet,
    'data-slidesToShowMobile' => $slidesToShowMobile,
    'data-slidesToScroll' => $slidesToScroll,
    'data-slidesToScrollTablet' => $slidesToScrollTablet,
    'data-slidesToScrollMobile' => $slidesToScrollMobile,
] );
?>
<?php if(isset($settings['clients']) && !empty($settings['clients']) && count($settings['clients'])): ?>
    <div class="cms-clients-list layout2 cms-slick-slider">
        <div <?php lcb_print_html($widget->get_render_attribute_string( 'inner' )); ?>>
            <div <?php lcb_print_html($widget->get_render_attribute_string( 'carousel' )); ?>>
                <?php foreach ($settings['clients'] as $client):
                    $wrap_class = "";
                    if(empty($client['hover_image']['url'])){
                        $wrap_class = 'no-hover-image';
                    }
                ?>
                <div class="slick-slide">
                    <div class="cms-client-wrapper <?php echo esc_attr($wrap_class);?>">
                        <div class="client-image">
                            <?php
                            if(!empty($client['hover_image']['url'])){
                                ?>
                                <img class="hover-image" src="<?php echo esc_url($client['hover_image']['url']); ?>" alt="<?php echo esc_attr__('client-image',"medcaline");?>">
                                <?php
                            }
                            if(!empty($client['client_image'])){
                                ?>
                                <img class="main-image" src="<?php echo esc_url($client['client_image']['url']); ?>" alt="<?php echo esc_attr__('client-image',"medcaline");?>">
                                <?php
                            }
                            ?>
                        </div>
                    </div>
                </div>
                <?php endforeach; ?>
            </div>
        </div>
    </div>
<?php endif; ?>
