<?php
$widget->add_render_attribute( 'counter', [
    'class' => 'elementor-counter-number',
    'data-duration' => $settings['duration'],
    'data-to-value' => $settings['ending_number'],
] );

if ( ! empty( $settings['thousand_separator'] ) ) {
    $delimiter = empty( $settings['thousand_separator_char'] ) ? ',' : $settings['thousand_separator_char'];
    $widget->add_render_attribute( 'counter', 'data-delimiter', $delimiter );
}
$is_new = \Elementor\Icons_Manager::is_migration_allowed();
?>
<div class="cms-counter layout2">
    <div class="cms-counter-inner">
        <?php if ( $settings['title'] ) : ?>
            <h4 class="cms-counter-title"><?php echo esc_html($settings['title']); ?></h4>
        <?php endif; ?>
        <div class="main-counter">
            <h3 class="cms-counter-number-wrapper">
                <span class="cms-counter-number-prefix"><?php echo esc_html($settings['prefix']); ?></span>
                <span <?php lcb_print_html($widget->get_render_attribute_string( 'counter' )); ?>><?php echo esc_html($settings['starting_number']); ?></span>
                <span class="cms-counter-number-suffix"><?php echo esc_html($settings['suffix']); ?></span>
            </h3>
        </div>
    </div>
</div>