<?php
$widget->add_render_attribute( 'selected_icon', 'class', [ 'elementor-icon', 'elementor-animation-' . $settings['hover_animation'] ] );

$icon_tag = 'span';
$has_icon = ! empty( $settings['selected_icon'] );
if ($settings['icon_type'] == 'image'){
    $has_icon = ! empty( $settings['selected_image'] );
    $widget->add_render_attribute( 'selected_image', 'class', 'elementor-image');
}
$readmore_href = "#";
if ( ! empty( $settings['link']['url'] ) ) {
    $readmore_href = $settings['link']['url'];
    $widget->add_render_attribute( 'link', 'href', $settings['link']['url'] );
    $icon_tag = 'a';

    if ( $settings['link']['is_external'] ) {
        $widget->add_render_attribute( 'link', 'target', '_blank' );
    }

    if ( $settings['link']['nofollow'] ) {
        $widget->add_render_attribute( 'link', 'rel', 'nofollow' );
    }
}

if ( $has_icon && ($settings['icon_type'] == 'library')) {
    $widget->add_render_attribute( 'i', 'class', $settings['selected_icon'] );
    $widget->add_render_attribute( 'i', 'aria-hidden', 'true' );
}

$icon_attributes = $widget->get_render_attribute_string( 'selected_icon' );
$image_attributes = $widget->get_render_attribute_string( 'selected_image' );
$link_attributes = $widget->get_render_attribute_string( 'link' );

$widget->add_render_attribute( 'description_text', 'class', 'cms-fancy-box-description' );

$widget->add_inline_editing_attributes( 'title_text', 'none' );
$widget->add_inline_editing_attributes( 'description_text' );

$is_new = \Elementor\Icons_Manager::is_migration_allowed();
?>
<div class="cms-fancy-box layout2 <?php echo esc_attr($settings['text_align']);?>">
    <?php if ( $has_icon ) : ?>
        <div class="cms-fancy-box-icon">
            <?php
            if ($settings['icon_type'] == 'library'){
                ?>
                <<?php echo implode( ' ', [ $icon_tag, $icon_attributes, $link_attributes ] ); ?>>
                    <?php
                    if($is_new):
                        \Elementor\Icons_Manager::render_icon( $settings['selected_icon'], [ 'aria-hidden' => 'true' ] );
                        ?>
                    <?php else: ?>
                        <i <?php lcb_print_html($widget->get_render_attribute_string( 'i' )); ?>></i>
                    <?php endif; ?>
                </<?php lcb_print_html($icon_tag); ?>>
                <?php
            }else{
                ?>
                <<?php echo implode( ' ', [ $icon_tag, $image_attributes, $link_attributes ] ); ?>>
                    <?php
                    $image_html = \Elementor\Group_Control_Image_Size::get_attachment_image_html( $settings, 'image_size', 'selected_image' );
                    lcb_print_html($image_html);
                    ?>
                </<?php lcb_print_html($icon_tag); ?>>
                <?php
            }
            ?>
        </div>
    <?php endif; ?>
    <div class="cms-fancy-box-content">
        <<?php lcb_print_html($settings['title_size']); ?> class="cms-fancy-box-title">
            <<?php echo implode( ' ', [ $icon_tag, $link_attributes ] ); ?><?php lcb_print_html($widget->get_render_attribute_string( 'title_text' )); ?>><?php echo esc_html($settings['title_text']); ?></<?php lcb_print_html($icon_tag); ?>>
        </<?php lcb_print_html($settings['title_size']); ?>>
        <p <?php lcb_print_html($widget->get_render_attribute_string( 'description_text' )); ?>><?php lcb_print_html(nl2br($settings['description_text'])); ?></p>
        <div class="entry-readmore">
            <a class="btn-more" href="<?php echo esc_attr($readmore_href);?>" target="_blank"><?php echo esc_html__('Read More', 'medcaline'); ?> <i class="fa fa-long-arrow-right"></i></a>
        </div>
    </div>
</div>