<?php
$widget->add_render_attribute( 'icon', 'class', [ 'elementor-icon', 'elementor-animation'] );

$icon_tag = 'span';
if ( ! empty( $settings['link']['url'] ) ) {
    $widget->add_render_attribute( 'link', 'href', $settings['link']['url'] );
    $icon_tag = 'a';

    if ( $settings['link']['is_external'] ) {
        $widget->add_render_attribute( 'link', 'target', '_blank' );
    }

    if ( $settings['link']['nofollow'] ) {
        $widget->add_render_attribute( 'link', 'rel', 'nofollow' );
    }
}

$link_attributes = $widget->get_render_attribute_string( 'link' );

// Attribute Handle and name(id) of Control Setting is same
// to render editing result together.
$widget->add_render_attribute( 'subheading_text', array(
    'class' => ['custom-subheading', 'font-smooth'],
) );
$widget->add_render_attribute( 'description_text', array(
    'class' => 'custom-description',
) );

// Tooltip basic(default), advanced, none.
$widget->add_inline_editing_attributes( 'subheading_text' );
$widget->add_inline_editing_attributes( 'heading_text', 'none' );
$widget->add_inline_editing_attributes( 'description_text' );
?>
<div class="cms-heading layout1">
    <?php if(!empty($settings['subheading_text'])) : ?>
        <div <?php lcb_print_html($widget->get_render_attribute_string( 'subheading_text' )); ?>>
            <?php echo esc_html($settings['subheading_text']); ?>
        </div>
    <?php endif; ?>

    <?php if ( !empty($settings['heading_text']) ) : ?>
        <<?php lcb_print_html($settings['heading_tag']); ?> class="custom-heading">
            <<?php echo implode( ' ', [ $icon_tag, $link_attributes ] ); ?><?php lcb_print_html($widget->get_render_attribute_string( 'heading_text' )); ?>>
                <?php lcb_print_html(nl2br($settings['heading_text'])); ?>
            </<?php lcb_print_html($icon_tag); ?>>
        </<?php lcb_print_html($settings['heading_tag']); ?>>
    <?php endif; ?>
    
    <?php if(!empty($settings['description_text'])) : ?>
        <div <?php lcb_print_html($widget->get_render_attribute_string( 'description_text' )); ?>>
            <?php lcb_print_html(nl2br($settings['description_text'])); ?>
        </div>
    <?php endif; ?>

    <?php if(!empty($settings['underline_type']) && $settings['underline_type'] != 'hide') : ?>
        <span class="heading-underline <?php echo esc_attr($settings['underline_type']);?>">
            <span></span>
        </span>
    <?php endif; ?>

</div>

