<?php
$html_id = lcb_get_element_id($settings);
$tax = array();
$source = $widget->get_setting('source', '');
$orderby = $widget->get_setting('orderby', 'date');
$order = $widget->get_setting('order', 'desc');
$limit = $widget->get_setting('limit', 6);
$post_ids = $widget->get_setting('post_ids', '');
extract(lcb_get_posts_of_grid('post', [
    'source' => $source,
    'orderby' => $orderby,
    'order' => $order,
    'limit' => $limit,
    'post_ids' => $post_ids,
]));
$filter_default_title = $widget->get_setting('filter_default_title', 'All');
$col_xl = 12;
$col_lg = 12;
$col_md = 12;
$col_sm = 12;
$col_xs = 12;
$grid_sizer = "col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12";
$grid_class = 'cms-grid-inner cms-grid-masonry row';
$show_thumbnail = $widget->get_setting('show_thumbnail');
$social_share = $widget->get_setting('social_share');
$pagination_type = $widget->get_setting('pagination_type', 'pagination');
$num_words = $widget->get_setting('num_words', 'pagination');
$button_text = $widget->get_setting('button_text', 'Read More');
$load_more = array(
    'startPage' => $paged,
    'maxPages'  => $max,
    'total'     => $total,
    'perpage'   => $limit,
    'nextLink'  => $next_link,
    'source' => $source,
    'orderby' => $orderby,
    'order' => $order,
    'limit' => $limit,
    'post_ids' => $post_ids,
    'col_xl'    => 12,
    'col_lg'    => 12,
    'col_md'    => 12,
    'col_sm'    => 12,
    'col_xs'    => 12,
    'show_thumbnail' => $show_thumbnail,
    'social_share' => $social_share,
    'pagination_type' => $pagination_type,
    'num_words' => $num_words,
    'button_text' => $button_text,
    'template_type' => 'post_list_layout1',
);
?>

<div id="<?php echo esc_attr($html_id) ?>" class="cms-grid cms-post-list layout1" data-layout="masonry" data-start-page="<?php echo esc_attr($paged); ?>" data-max-pages="<?php echo esc_attr($max); ?>" data-total="<?php echo esc_attr($total); ?>" data-perpage="<?php echo esc_attr($limit); ?>" data-next-link="<?php echo esc_attr($next_link); ?>">

    <div class="<?php echo esc_attr($grid_class); ?>">
        <div class="grid-sizer <?php echo esc_attr($grid_sizer); ?>"></div>
        <?php
        medcaline_get_post_grid($posts, $load_more);
        ?>
    </div>
    <?php if ($pagination_type == 'pagination') { ?>
        <div class="cms-grid-pagination" data-loadmore="<?php echo esc_attr(json_encode($load_more)); ?>" data-query="<?php echo esc_attr(json_encode($args)); ?>">
            <?php medcaline_posts_pagination($query, true); ?>
        </div>
    <?php } ?>
    <?php if (!empty($next_link) && $pagination_type == 'loadmore') { ?>
        <div class="cms-load-more text-center" data-loadmore="<?php echo esc_attr(json_encode($load_more)); ?>">
            <span class="btn btn-secondary">
                <?php echo esc_html__('Load More', 'medcaline') ?>
            </span>
        </div>
    <?php } ?>
</div>