<?php
$widget->add_inline_editing_attributes('pricing_table_title_text');
$widget->add_inline_editing_attributes('pricing_table_button_text');

$title_tag = $settings['pricing_table_title_size'];
$link_type = $settings['pricing_table_button_url_type'];

$target = $rel = '';
if($link_type == 'link'){
    $link_url = get_permalink($settings['pricing_table_button_link_existing_content']);
} elseif ($link_type == 'url') {
    $link_url = $settings['pricing_table_button_link']['url'];
    $target = !empty($settings['pricing_table_button_link']['is_external'])?'_blank':'';
    $rel = !empty($settings['pricing_table_button_link']['nofollow'])?'nofollow':'';
}
$is_new = \Elementor\Icons_Manager::is_migration_allowed();
$cms_animate = $widget->get_setting('cms_animate');
?>
<div class="cms-pricing-wrap <?php if (!empty($cms_animate)){echo esc_attr($cms_animate);} ?>" data-wow-duration="1.3s" data-wow-delay="0.3s">
    <div class="pricing-table-container square-box">
        <div class="inner-box">
            <div class="pricing-price-container">
                <<?php lcb_print_html($title_tag);?> class="pricing-table-title">
                    <span <?php lcb_print_html($widget->get_render_attribute_string( 'pricing_table_title_text' )); ?>><?php echo esc_html($settings['pricing_table_title_text']);?></span>
                </<?php lcb_print_html($title_tag);?>>
            </div>

            <div class="pricing-body">
                <div class="price-money-container">
                    <div class="price-money-inner">
                    <span class="pricing-price-value">
                        <span class="pricing-price-currency"><?php echo esc_html($settings['pricing_table_price_currency']); ?></span>
                        <?php echo esc_html($settings['pricing_table_price_value']); ?>
                    </span>
                        <span class="pricing-price-separator">
                        <?php echo esc_html($settings['pricing_table_price_separator']); ?>
                    </span>
                        <span class="pricing-price-duration <?php if (empty($settings['pricing_table_price_separator'])){echo esc_attr('block-duration');} ?>">
                        <?php echo esc_html($settings['pricing_table_price_duration']); ?>
                    </span>
                    </div>
                    <div class="pricing-desc-container">
                        <?php echo esc_html($settings['pricing_table_description']); ?>
                    </div>
                </div>

                <div class="pricing-list-container">
                    <ul class="pricing-list">
                        <?php
                        foreach( $settings['fancy_text_list_items'] as $item ):
                            ?>
                            <li>
                                <?php
                                if($is_new):
                                    \Elementor\Icons_Manager::render_icon( $item['pricing_list_item_icon'], [ 'aria-hidden' => 'true' ] );
                                    ?>
                                <?php else: ?>
                                    <i class="<?php echo esc_attr( $item['pricing_list_item_icon'] ); ?>"></i>
                                <?php endif; ?>
                                <span class="pricing-list-span <?php if ($item['pricing_list_item_slashed']){echo esc_attr('item-slashed');} ?>"><?php echo esc_html($item['pricing_list_item_text']); ?></span>
                            </li>
                        <?php endforeach; ?>
                    </ul>
                </div>

                <div class="pricing-button-container">
                    <a class="pricing-price-button btn" href="<?php echo esc_url( $link_url ); ?>" target="<?php echo esc_attr($target); ?>" rel="<?php echo esc_attr($rel); ?>">
                        <span <?php lcb_print_html($widget->get_render_attribute_string('pricing_table_button_text')); ?>><?php echo esc_html($settings['pricing_table_button_text']); ?></span>
                    </a>
                </div>
            </div>
        </div>
    </div>
    <?php
    if ( $settings['show_highlight_star'] == 'true' ){
        ?><span class="pricing-price-note"><i class="icofont-star"></i></span><?php
    }
    ?>
</div>