<?php
$html_id = lcb_get_element_id($settings);
$source = '';
$orderby = $widget->get_setting('orderby', 'date');
$order = $widget->get_setting('order', 'desc');
$limit = $widget->get_setting('limit', 6);
$post_ids = $widget->get_setting('post_ids', '');
extract(lcb_get_posts_of_grid('service', [
    'source' => $source,
    'orderby' => $orderby,
    'order' => $order,
    'limit' => $limit,
    'post_ids' => $post_ids,
]));
$col_xl = 12 / intval($widget->get_setting('col_xl', 2));
$col_lg = 12 / intval($widget->get_setting('col_lg', 2));
$col_md = 12 / intval($widget->get_setting('col_md', 2));
$col_sm = 12 / intval($widget->get_setting('col_sm', 1));
$col_xs = 12 / intval($widget->get_setting('col_xs', 1));
$grid_sizer = "col-xl-{$col_xl} col-lg-{$col_lg} col-md-{$col_md} col-sm-{$col_sm} col-{$col_xs}";
$gap_item = intval($widget->get_setting('gap', 15));
$grid_class = 'cms-grid-inner cms-grid-masonry row';
$layout_type = $widget->get_setting('layout_type', 'masonry');
$thumbnail_size = $widget->get_setting('thumbnail_size', '');
$thumbnail_custom_dimension = $widget->get_setting('thumbnail_custom_dimension', '');
$title_tag = $widget->get_setting('title_tag', 'h4');
$pagination_type = $widget->get_setting('pagination_type', 'pagination');
$show_thumbnail = $widget->get_setting('show_thumbnail');
$show_icon = $widget->get_setting('show_icon');
$show_title = $widget->get_setting('show_title');
$show_excerpt = $widget->get_setting('show_excerpt');
$num_words = $widget->get_setting('num_words', 30);
$show_button = $widget->get_setting('show_button');
$button_text = $widget->get_setting('button_text', 'Read More');
$cms_animate = $widget->get_setting('cms_animate');
if (!empty($cms_animate)){
    $grid_class = $grid_class.' wow-active';
}
$load_more = array(
    'posttype' => 'service',
    'startPage' => $paged,
    'maxPages'  => $max,
    'total'     => $total,
    'perpage'   => $limit,
    'nextLink'  => $next_link,
    'source' => $source,
    'orderby' => $orderby,
    'order' => $order,
    'limit' => $limit,
    'post_ids' => $post_ids,
    'col_xl'    => $col_xl,
    'col_lg'    => $col_lg,
    'col_md'    => $col_md,
    'col_sm'    => $col_sm,
    'col_xs'    => $col_xs,
    'thumbnail_size'  => $thumbnail_size,
    'thumbnail_custom_dimension'  => $thumbnail_custom_dimension,
    'title_tag' => $title_tag,
    'pagination_type' => $pagination_type,
    'show_thumbnail' => $show_thumbnail,
    'show_icon' => $show_icon,
    'show_title' => $show_title,
    'show_excerpt' => $show_excerpt,
    'num_words' => $num_words,
    'show_button' => $show_button,
    'button_text' => $button_text,
    'cms_animate' => $cms_animate,
    'template_type' => 'service_grid_layout2',
);
?>

<div id="<?php echo esc_attr($html_id) ?>" class="cms-grid cms-service-grid layout2" data-layout="masonry" data-start-page="<?php echo esc_attr($paged); ?>" data-max-pages="<?php echo esc_attr($max); ?>" data-total="<?php echo esc_attr($total); ?>" data-perpage="<?php echo esc_attr($limit); ?>" data-next-link="<?php echo esc_attr($next_link); ?>">

    <div class="<?php echo esc_attr($grid_class); ?> animate-time" data-gutter="<?php echo esc_attr($gap_item); ?>">
        <div class="grid-sizer <?php echo esc_attr($grid_sizer); ?>"></div>
        <?php
        medcaline_get_post_grid($posts, $load_more);
        ?>
    </div>
    <?php if ($pagination_type == 'pagination') { ?>
        <div class="cms-grid-pagination" data-loadmore="<?php echo esc_attr(json_encode($load_more)); ?>" data-query="<?php echo esc_attr(json_encode($args)); ?>">
            <?php medcaline_posts_pagination($query, true); ?>
        </div>
    <?php } ?>
    <?php if (!empty($next_link) && $pagination_type == 'loadmore') { ?>
        <div class="cms-load-more text-center" data-loadmore="<?php echo esc_attr(json_encode($load_more)); ?>">
            <span class="btn btn-secondary">
                <?php echo esc_html__('Load More', 'medcaline') ?>
            </span>
        </div>
    <?php } ?>
</div>