<?php
$html_id = lcb_get_element_id($settings);
$source = '';
$orderby = $widget->get_setting('orderby', 'date');
$order = $widget->get_setting('order', 'desc');
$limit = $widget->get_setting('limit', 6);
$post_ids = $widget->get_setting('post_ids', '');
extract(lcb_get_posts_of_grid('lq-team', [
    'orderby' => $orderby,
    'order' => $order,
    'limit' => $limit,
    'post_ids' => $post_ids,
]));
$widget->add_render_attribute( 'inner', [
    'class' => 'cms-team-carousel-inner',
] );

$slides_to_show = $widget->get_setting('slides_to_show', '');
$slides_to_show_tablet = $widget->get_setting('slides_to_show_tablet', '');
$slides_to_show_mobile = $widget->get_setting('slides_to_show_mobile', '');
$slides_to_scroll = $widget->get_setting('slides_to_scroll', '');
$slides_to_scroll_tablet = $widget->get_setting('slides_to_scroll_tablet', '');
$slides_to_scroll_mobile = $widget->get_setting('slides_to_scroll_mobile', '');

$slidesToShow = !empty($slides_to_show)?$slides_to_show:3;
$isSingleSlide = 1 === $slidesToShow;
$defaultLGDevicesSlidesCount = $isSingleSlide ? 1 : 2;
$slidesToShowTablet = !empty($slides_to_show_tablet)?$slides_to_show_tablet:$defaultLGDevicesSlidesCount;
$slidesToShowMobile = !empty($slides_to_show_mobile)?$slides_to_show_mobile:1;
if($isSingleSlide){
    $slidesToScroll = 1;
}
else{
    $slidesToScroll = !empty($slides_to_scroll)?$slides_to_scroll:$defaultLGDevicesSlidesCount;
}
$slidesToScrollTablet = !empty($slides_to_scroll_tablet)?$slides_to_scroll_tablet:$defaultLGDevicesSlidesCount;
$slidesToScrollMobile = !empty($slides_to_scroll_mobile)?$slides_to_scroll_mobile:1;

$arrows = $widget->get_setting('arrows');
$dots = $widget->get_setting('dots');
$pause_on_hover = $widget->get_setting('pause_on_hover');
$autoplay = $widget->get_setting('autoplay');
$autoplay_speed = $widget->get_setting('autoplay_speed', '5000');
$infinite = $widget->get_setting('infinite');
$speed = $widget->get_setting('speed', '500');
$show_excerpt = $widget->get_setting('show_excerpt');
$num_words = $widget->get_setting('num_words', 17);
$show_social = $widget->get_setting('show_social');
$widget->add_render_attribute( 'carousel', [
    'class' => 'cms-slick-carousel',
    'data-arrows' => $arrows,
    'data-dots' => $dots,
    'data-pauseOnHover' => $pause_on_hover,
    'data-autoplay' => $autoplay,
    'data-autoplaySpeed' => $autoplay_speed,
    'data-infinite' => $infinite,
    'data-speed' => $speed,
    'data-slidesToShow' => $slidesToShow,
    'data-slidesToShowTablet' => $slidesToShowTablet,
    'data-slidesToShowMobile' => $slidesToShowMobile,
    'data-slidesToScroll' => $slidesToScroll,
    'data-slidesToScrollTablet' => $slidesToScrollTablet,
    'data-slidesToScrollMobile' => $slidesToScrollMobile,
] );

$title_tag = $widget->get_setting('title_tag', 'h3');

$thumbnail_size = $widget->get_setting('thumbnail_size', 'full');
$thumbnail_custom_dimension = $widget->get_setting('thumbnail_custom_dimension', '');
if($thumbnail_size != 'custom'){
    $img_size = $thumbnail_size;
}
elseif(!empty($thumbnail_custom_dimension['width']) && !empty($thumbnail_custom_dimension['height'])){
    $img_size = $thumbnail_custom_dimension['width'] . 'x' . $thumbnail_custom_dimension['height'];
}
else{
    $img_size = 'full';
}
?>
<?php if (is_array($posts)): ?>
    <div id="<?php echo esc_attr($html_id) ?>" class="cms-team-carousel layout1 cms-slick-slider">
        <div <?php lcb_print_html($widget->get_render_attribute_string( 'inner' )); ?>>
            <div <?php lcb_print_html($widget->get_render_attribute_string( 'carousel' )); ?>>
                <?php
                foreach ($posts as $post):
                    $img_id       = get_post_thumbnail_id( $post->ID );
                    $img          = lcb_get_image_by_size( array(
                        'attach_id'  => $img_id,
                        'thumb_size' => $img_size,
                        'class'      => '',
                    ) );
                    $thumbnail    = $img['thumbnail'];
                    // Social Info
                    $team_facebook = get_post_meta($post->ID, 'team_facebook_url', true);
                    $team_twitter = get_post_meta($post->ID, 'team_twitter_url', true);
                    $team_skype = get_post_meta($post->ID, 'team_skype_url', true);
                    $team_instagram = get_post_meta($post->ID, 'team_instagram_url', true);
                    $team_pinterest = get_post_meta($post->ID, 'team_pinterest_url', true);
                    $team_youtube = get_post_meta($post->ID, 'team_youtube_url', true);
                    ?>
                    <div class="carousel-item slick-slide">
                        <div class="carousel-item-inner">
                            <?php if (has_post_thumbnail($post->ID) && wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), false)): ?>
                                <div class="entry-featured">
                                    <div class="post-image scale-hover">
                                        <a href="<?php echo esc_url(get_permalink($post->ID)); ?>"><?php echo wp_kses_post($thumbnail); ?></a>
                                    </div>
                                </div>
                            <?php endif; ?>
                            <div class="entry-body">
                                <div class="entry-body-inner">
                                    <h3 class="entry-title">
                                        <a href="<?php echo esc_url(get_permalink($post->ID)); ?>"><?php echo esc_attr(get_the_title($post->ID)); ?></a>
                                    </h3>
                                    <div class="lq-team-category">
                                        <?php the_terms( $post->ID, 'lq-team-category', '', ', ' ); ?>
                                    </div>
                                    <?php if ($show_excerpt == 'true'): ?>
                                        <div class="entry-content">
                                            <?php
                                            if (!empty($post->post_excerpt)) {
                                                echo wp_trim_words($post->post_excerpt, $num_words, $more = '.');
                                            } else {
                                                $content = strip_shortcodes($post->post_content);
                                                $content = apply_filters('the_content', $content);
                                                $content = str_replace(']]>', ']]&gt;', $content);
                                                $content = wp_trim_words($content, $num_words, '&hellip;');
                                                echo wp_kses_post($content);
                                            }
                                            ?>
                                        </div>
                                    <?php endif; ?>
                                    <?php if ($show_social == 'true'): ?>
                                        <div class="team-social">
                                            <ul class="info-social">
                                                <?php if(!empty($team_facebook)) : ?>
                                                    <li><a href="<?php echo esc_url($team_facebook); ?>"><i class="zmdi zmdi-facebook"></i></a></li>
                                                <?php endif; ?>
                                                <?php if(!empty($team_twitter)) : ?>
                                                    <li><a href="<?php echo esc_url($team_twitter); ?>"><i class="zmdi zmdi-twitter"></i></a></li>
                                                <?php endif; ?>
                                                <?php if(!empty($team_skype)) : ?>
                                                    <li><a href="<?php echo esc_attr($team_skype); ?>"><i class="zmdi zmdi-skype"></i></a></li>
                                                <?php endif; ?>
                                                <?php if(!empty($team_instagram)) : ?>
                                                    <li><a href="<?php echo esc_attr($team_instagram); ?>"><i class="zmdi zmdi-instagram"></i></a></li>
                                                <?php endif; ?>
                                                <?php if(!empty($team_pinterest)) : ?>
                                                    <li><a href="<?php echo esc_attr($team_pinterest); ?>"><i class="zmdi zmdi-pinterest"></i></a></li>
                                                <?php endif; ?>
                                                <?php if(!empty($team_youtube)) : ?>
                                                    <li><a href="<?php echo esc_attr($team_youtube); ?>"><i class="zmdi zmdi-youtube-play"></i></a></li>
                                                <?php endif; ?>
                                            </ul>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php endforeach; ?>
        </div>
    </div>
    </div>
<?php endif; ?>