<?php
$widget->add_render_attribute( 'inner', [
    'class' => 'cms-testimonial-inner',
] );
$slidesToShow = !empty($settings['slides_to_show'])?$settings['slides_to_show']:1;
$isSingleSlide = 1 === $slidesToShow;
$defaultLGDevicesSlidesCount = $isSingleSlide ? 1 : 2;
$slidesToShowTablet = !empty($settings['slides_to_show_tablet'])?$settings['slides_to_show_tablet']:$defaultLGDevicesSlidesCount;
$slidesToShowMobile = !empty($settings['slides_to_show_mobile'])?$settings['slides_to_show_mobile']:1;
if($isSingleSlide){
    $slidesToScroll = 1;
}
else{
    $slidesToScroll = !empty($settings['slides_to_scroll'])?$settings['slides_to_scroll']:$defaultLGDevicesSlidesCount;
}
$slidesToScrollTablet = !empty($settings['slides_to_scroll_tablet'])?$settings['slides_to_scroll_tablet']:$defaultLGDevicesSlidesCount;
$slidesToScrollMobile = !empty($settings['slides_to_scroll_mobile'])?$settings['slides_to_scroll_mobile']:1;
$widget->add_render_attribute( 'carousel', [
    'class' => 'cms-slick-carousel',
    'data-arrows' => $settings['arrows'],
    'data-dots' => $settings['dots'],
    'data-pauseOnHover' => $settings['pause_on_hover'],
    'data-autoplay' => $settings['autoplay'],
    'data-autoplaySpeed' => $settings['autoplay_speed'],
    'data-infinite' => $settings['infinite'],
    'data-speed' => $settings['speed'],
    'data-slidesToShow' => $slidesToShow,
    'data-slidesToShowTablet' => $slidesToShowTablet,
    'data-slidesToShowMobile' => $slidesToShowMobile,
    'data-slidesToScroll' => $slidesToScroll,
    'data-slidesToScrollTablet' => $slidesToScrollTablet,
    'data-slidesToScrollMobile' => $slidesToScrollMobile,
] );
?>
<?php if(isset($settings['clients']) && !empty($settings['clients']) && count($settings['clients'])): ?>
    <div class="cms-testimonial-carousel layout1 cms-slick-slider arrow-out">
        <div <?php lcb_print_html($widget->get_render_attribute_string( 'inner' )); ?>>
            <div <?php lcb_print_html($widget->get_render_attribute_string( 'carousel' )); ?>>
                <?php foreach ($settings['clients'] as $client): ?>
                    <div class="slick-slide">
                        <div class="cms-client-wrapper">
                            <?php
                            if(!empty($client['client_image']['id'])){
                                ?>
                                <div class="client-image">
                                    <div class="image-wrap">
                                        <?php echo wp_get_attachment_image($client['client_image']['id']); ?>
                                        <span class="t-icon"><i class="fas fa-quote-right"></i></span>
                                    </div>
                                </div>
                                <?php
                            }
                            ?>
                            <div class="client-content font-smooth">
                                <?php
                                if(!empty($client['client_content'])){
                                    ?>
                                    <p><?php echo esc_html($client['client_content']); ?></p>
                                    <?php
                                }
                                ?>
                            </div>

                            <div class="client-info">
                                <div class="name-job">
                                    <div class="client-name font-smooth">
                                        <?php
                                        if (!empty($client['client_link']['id'])){
                                            $url = !empty($client['client_link']['id'])?$client['client_link']['id']:'#';
                                            $target = !empty($client['client_link']['is_external']);
                                            $rel = !empty($client['client_link']['nofollow']);
                                            ?>
                                            <a class="name-text" href="<?php echo esc_url($url); ?>" <?php lcb_print_html($target?'target="_blank"':''); ?> <?php lcb_print_html($rel?'rel="nofollow"':''); ?>>
                                                <?php echo esc_html($client['client_name']); ?>
                                            </a>
                                            <?php
                                        }else{
                                            ?> <h5 class="name-text"><?php echo esc_html($client['client_name']);?></h5> <?php
                                        }
                                        ?>
                                    </div>
                                    <div class="client-job">
                                        <?php
                                        if(!empty($client['client_job'])){
                                            ?>
                                            <p><?php echo esc_html($client['client_job']); ?></p>
                                            <?php
                                        }
                                        ?>
                                    </div>
                                </div>
                                <div class="client-heading-star">
                                    <?php if(!empty($client['rating']) && $client['rating'] != 'none') : ?>
                                        <div class="client-rating <?php echo esc_attr($client['rating']); ?>">
                                            <i class="fa fa-star"></i>
                                            <i class="fa fa-star"></i>
                                            <i class="fa fa-star"></i>
                                            <i class="fa fa-star"></i>
                                            <i class="fa fa-star"></i>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php endforeach; ?>
            </div>
        </div>
    </div>
<?php endif; ?>
