<?php
/**
 * Template part for displaying posts in loop
 *
 * @package Medcaline
 */

$contact_form = medcaline_get_page_opt('team_contact_form');
$team_show_contact = medcaline_get_page_opt('team_show_contact', true);
$ctf7_id = '';
$cf7 = get_posts('post_type="wpcf7_contact_form"&numberposts=-1');
if ($cf7) {
    foreach ($cf7 as $cform) {
        if ($cform->post_name == $contact_form){
            $ctf7_id = $cform->ID;
            break;
        }
    }
}
?>
<div class="container content-container">
    <div class="row">
        <div id="primary" class="content-area col-12">
            <main id="main" class="site-main">
                <div class="post-type-inner">
                    <?php while ( have_posts() ) : the_post(); ?>
                        <div class="row">
                            <div class="col-lg-4 col-md-5 left-content">
                                <div class="team-info-wrap">
                                    <?php
                                    $team_position = medcaline_get_page_opt('team_position');
                                    $experience = medcaline_get_page_opt('team_experience');
                                    $team_location = medcaline_get_page_opt('team_location');
                                    $team_email = medcaline_get_page_opt('team_mail');
                                    $team_phone = medcaline_get_page_opt('team_phone');
                                    $team_facebook = medcaline_get_page_opt('team_facebook_url');
                                    $team_twitter = medcaline_get_page_opt('team_twitter_url');
                                    $team_skype = medcaline_get_page_opt('team_skype_url');
                                    $team_instagram = medcaline_get_page_opt('team_instagram_url');
                                    $team_pinterest = medcaline_get_page_opt('team_pinterest_url');
                                    $team_youtube = medcaline_get_page_opt('team_youtube_url');
                                    $team_download = medcaline_get_page_opt('team_download');
                                    if (has_post_thumbnail()) {
                                        ?>
                                        <div class="featured-image-wrap flash-hover">
                                            <?php the_post_thumbnail('full'); ?>
                                        </div>
                                        <?php
                                    }
                                    ?>
                                    <div class="team-info">
                                        <h3><?php the_title(); ?></h3>
                                        <div class="main-info">
                                            <ul class="info-text">
                                                <li>
                                                    <span class="label"><?php echo esc_html__('Position', 'medcaline').':';?></span>
                                                    <span class="value"><?php echo esc_html($team_position);?></span>
                                                </li>
                                                <li>
                                                    <span class="label"><?php echo esc_html__('Experience', 'medcaline').':';?></span>
                                                    <span class="value"><?php echo esc_html($experience);?></span>
                                                </li>
                                                <li>
                                                    <span class="label"><?php echo esc_html__('Location', 'medcaline').':';?></span>
                                                    <span class="value"><?php echo esc_html($team_location);?></span>
                                                </li>
                                                <li>
                                                    <span class="label"><?php echo esc_html__('Email', 'medcaline').':';?></span>
                                                    <span class="value"><?php echo esc_html($team_email);?></span>
                                                </li>
                                                <li>
                                                    <span class="label"><?php echo esc_html__('Phone', 'medcaline').':';?></span>
                                                    <span class="value"><?php echo esc_html($team_phone);?></span>
                                                </li>
                                            </ul>
                                            <div class="team-social">
                                                <ul class="info-social">
                                                    <?php if(!empty($team_facebook)) : ?>
                                                        <li><a href="<?php echo esc_url($team_facebook); ?>"><i class="zmdi zmdi-facebook"></i></a></li>
                                                    <?php endif; ?>
                                                    <?php if(!empty($team_twitter)) : ?>
                                                        <li><a href="<?php echo esc_url($team_twitter); ?>"><i class="zmdi zmdi-twitter"></i></a></li>
                                                    <?php endif; ?>
                                                    <?php if(!empty($team_skype)) : ?>
                                                        <li><a href="<?php echo esc_attr($team_skype); ?>"><i class="zmdi zmdi-skype"></i></a></li>
                                                    <?php endif; ?>
                                                    <?php if(!empty($team_instagram)) : ?>
                                                        <li><a href="<?php echo esc_attr($team_instagram); ?>"><i class="zmdi zmdi-instagram"></i></a></li>
                                                    <?php endif; ?>
                                                    <?php if(!empty($team_pinterest)) : ?>
                                                        <li><a href="<?php echo esc_attr($team_pinterest); ?>"><i class="zmdi zmdi-pinterest"></i></a></li>
                                                    <?php endif; ?>
                                                    <?php if(!empty($team_youtube)) : ?>
                                                        <li><a href="<?php echo esc_attr($team_youtube); ?>"><i class="zmdi zmdi-youtube-play"></i></a></li>
                                                    <?php endif; ?>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="download-button font-smooth">
                                        <?php if($team_download) : ?>
                                            <?php echo wp_kses_post($team_download); ?>
                                        <?php endif; ?>
                                    </div>
                                    <?php
                                    if ( comments_open() || get_comments_number() )
                                    {
                                        ?>
                                        <div class="review-form font-smooth">
                                            <p class="review-title">
                                                <?php echo esc_html__('Review Psychologist', 'medcaline');?>
                                            </p>
                                            <?php
                                            $cmt_author = "";
                                            if(!empty($commenter['comment_author'])){
                                                $cmt_author = $commenter['comment_author'];
                                            }
                                            $cmt_email = "";
                                            if(!empty($commenter['comment_author_email'])){
                                                $cmt_email = $commenter['comment_author_email'];
                                            }
                                            $args = array(
                                                'id_form'           => 'commentform',
                                                'id_submit'         => 'submit',
                                                'title_reply'       =>'',
                                                'title_reply_to'    => '',
                                                'cancel_reply_link' => '',
                                                'label_submit'      => esc_attr__( 'Post Review', 'medcaline'),
                                                'comment_notes_before' => '',
                                                'fields' => apply_filters( 'comment_form_default_fields', array(
                                                        'author' =>
                                                            '<div class="comment-form-author">'.
                                                            '<input id="author" name="author" type="text" value="' . esc_attr( $cmt_author ) .
                                                            '" size="30" placeholder="'.esc_attr__('Your Name*', 'medcaline').'"/></div>',

                                                        'email' =>
                                                            '<div class="comment-form-email">'.
                                                            '<input id="email" name="email" type="text" value="' . esc_attr(  $cmt_email ) .
                                                            '" size="30" placeholder="'.esc_attr__('Email*', 'medcaline').'"/></div>',
                                                    )
                                                ),
                                                'comment_field' =>  '<div class="comment-form-comment"><textarea id="comment" name="comment" cols="45" rows="8" placeholder="'.esc_attr__('Review*', 'medcaline').'" aria-required="true">' .
                                                    '</textarea></div>',
                                            );
                                            comment_form($args);
                                            ?>
                                        </div>
                                        <?php
                                    }
                                    ?>
                                </div>
                            </div>
                            <div class="col-lg-8 col-md-7 right-content">
                                <div class="post-type-teams">
                                    <?php the_content(); ?>
                                </div>
                                <?php
                                if ( comments_open() || get_comments_number() )
                                {
                                    comments_template('/template-parts/content-lq-team/review.php');
                                }
                                ?>
                                <?php
                                if(class_exists('WPCF7') && !empty($ctf7_id) && $team_show_contact){
                                    ?>
                                    <div class="team-contact">
                                        <h3 class="contact-title"><?php echo esc_html__('Contact With', 'medcaline').' '.get_the_title(); ?></h3>
                                        <?php echo do_shortcode('[contact-form-7 id="'.esc_attr( $ctf7_id ).'"]'); ?>
                                    </div>
                                    <?php
                                }
                                ?>
                            </div>
                        </div>
                    <?php endwhile; ?>
                </div>
            </main><!-- #main -->
        </div><!-- #primary -->
    </div>
</div>