<?php
/**
 * Template part for displaying posts in loop
 *
 * @package Medcaline
 */
$post_tags_on = medcaline_get_opt( 'post_tags_on', true );
$post_social_share_on = medcaline_get_opt( 'post_social_share_on', false );
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('single-hentry'); ?>>
    <?php
    if (has_post_thumbnail()) {
        ?>
        <div class="entry-featured">
            <?php
            $featured_video = get_post_meta( get_the_ID(), 'featured-video-url', true );
            $audio_url = get_post_meta( get_the_ID(), 'featured-audio-url', true );
            if (!empty($featured_video) && has_post_format('video')){
                ?>
                <div class="cms-video-popup">
                    <div class="content-inner">
                        <a class="video-play-button video-default" href="<?php echo esc_url($featured_video); ?>">
                            <i class="zmdi zmdi-play"></i>
                        </a>
                    </div>
                </div>
                <div class="post-image">
                    <?php the_post_thumbnail('large'); ?>
                </div>
                <?php
            }elseif ( !empty($audio_url) && has_post_format('audio')){
                global $wp_embed;
                lcb_print_html($wp_embed->run_shortcode('[embed]' . $audio_url . '[/embed]'));
            }else{
                ?>
                <div class="post-image">
                    <?php the_post_thumbnail('large'); ?>
                </div>
                <?php
            }
            ?>
        </div>
        <?php
    }
    ?>
    <div class="entry-body">
        <?php medcaline_post_meta(); ?>
        <div class="entry-content clearfix">
            <?php
                the_content();
                wp_link_pages( array(
                    'before'      => '<div class="page-links">',
                    'after'       => '</div>',
                    'link_before' => '<span>',
                    'link_after'  => '</span>',
                ) );
            ?>
        </div><!-- .entry-content -->
        <div class="entry-content-bottom">
            <?php if($post_tags_on) :
                medcaline_entry_tagged_in();
            endif; ?>
            <?php if($post_social_share_on) {
                ?>
                <div class="entry-social-share">
                    <span class="label"><?php echo esc_html__('Share', 'medcaline').': '; ?></span>
                    <?php medcaline_socials_share_default(); ?>
                </div>
                <?php
            } ?>
        </div>
        <?php medcaline_post_nav_default(); ?>
    </div>
</article><!-- #post -->